## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('cm_np_select')}
    </a>
  </li>
  <li>
    <a href="${h.url_for(controller='/casedocument', action='index', id=session.get('case').id)}">
      ${_('cm_np_doc_overview')}
    </a>
  </li>
  <li>
    <a href="${h.url_for(controller='/casedocument', action='new')}">
      ${_('cm_np_doc_upload')}
    </a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('cm_header_doc_new')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
	<li>
          <a href="${h.url_for(controller='/casedocument', action='index', id=session.get('case').id)}">
            ${_('cm_menu_link_document_back')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>
<p class="import_p">
  Die Größe eines Dokuments darf nicht 10MB überschreiten.</p>
${h.form(h.url_for(controller="casedocument", action='newAction'), 
  multipart=True)}
<div class="widget container">
  <table class="form">
    <tr>
      <td class="label">
        <label for="name">
          ${_('File')}
        </label>
      </td>
      <td class="">
        <input type="file" name="file.upload" id="file">
        <input type="hidden" name="file.static">
      </td>
      <td class=""><span class="error"><form:error name="file"></span></td>
    </tr>
    <tr>
      <td class="label">
        <label for="name">${_('Filename')}</label></td>
      <td class="">
        <input type="text" name="name" id="name"><br>
      </td>
      <td class=""><span class="error"><form:error name="name"></span></td>
    </tr>
    <tr>
      <td class="label">
      <td class="">
        <p class="note">Sie können optional einen alternativen Namen für
        die Datei angeben, um so mehrere Versionen eines Dokuments
        hinterlegen zu können. Wenn Sie keinen Namen angeben, so wird der
        Dateiname der Datei verwendet, die Sie hochladen.  </p>
      </td>
      <td class=""></td>
    </tr>
    <tr>
      <td class="label">
          ${_('Overwrite')}
      </td>
      <td class="">
        <input type="checkbox" name="overwrite" value="1" id="overwrite">
          <label for="overwrite">
            ${_('Overwrite files with same name')}
          </label>
      </td>
      <td class=""><span class="error"><form:error name="overwrite"></span></td>
    </tr>
    <tr>
      <td class="label">
      <td class="">
        <p class="note">Beachten Sie, dass Sie den Haken bei "Überschreiben" setzen müssen, wenn Sie Daten gleichen Namens überschreiben wollen.</p>
      </td>
      <td class=""></td>
    </tr>
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.hidden('case', value=session.get('case').id)}
        ${h.submit('upload', _('doc_form_upload_submit'))}
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
