## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('cm_np_select')}
    </a>
  </li>
  <li>
    <a href="${h.url_for(controller='/casedocument', action='index', id=session.get('case').id)}">
      ${_('cm_np_doc_overview')}
    </a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('cm_header_doc_overview')}
  </div>
  % if h.hasRole(['cm_ka']) and session.get('case').getState().getState() == 1:
    <div id="modusfield">
      <div class="actions">
	<ul>
	  <li><a href="${h.url_for(controller='/casedocument', action='new')}">${_('cm_actions_link_doc_new')}</a></li>
	</ul>
      </div>
    </div>
  % endif
</div>

<%!  import mpulsweb.lib.helper.filters as F %>
<table>
  <tr>
    <th class="table_header_h table_description">
      ${_('doc_overview_tbl_header_filename')}
    </th>
    <th class="number_field table_header_h table_date">
      ${_('doc_overview_tbl_header_filesize')}
    </th>
    <th class="table_header_h actions">
      ${_('doc_overview_tbl_header_actions')}
    </th>
  </tr>
  % if len(c.files) > 0:
    <% 
      kb = lambda x: h.format_number(x * 1.0/1024.0) 
    %>
    % for num, f in enumerate(c.files):
      <tr class="${num%2 and 'hl' or ''}">
        <td>${ f.getName() | F.shorten}</td>
        <td class="number_field">${kb(f.size)} KB</td>
        <td class="actions">
          <a href="${h.url_for(controller='/casedocument', action='show', id=f.id, url=f.getName())}" 
          target="_blank">
            <img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" 
            alt="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
          % if h.hasRole(['cm_ka']) and session.get('case').getState().getState() == 1:
            <a href="${h.url_for(controller='/casedocument', action='delete', id=f.id, confirmed=0)}">
              <img src="${h.url_for('/images/icons/delete_active_22.png')}" border="0" 
              alt="${_('cm_overview_a_delete')}" 
              title="${_('cm_overview_a_delete')}">
            </a>
          % endif
        </td>
      </tr>
    % endfor
  % else:
    <tr>
      <td colspan="3">
        ${_('doc_overview_nofilesfound')}
      </td>
    </tr>
  % endif
</table>
