## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">${_('cm_np_select')}</a></li>
  <li><a href="${h.url_for(controller='/logbook', action='index', id=session.get('case').id)}">Tagebuch</a></li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    Tagebuch 
  </div>
% if h.hasRole(['cm_ka']):
  <div id="modusfield">
    <div class="actions">
      <ul>
        % if session.get('case').getState().getState() == 1:
          <li><a href="${h.url_for(controller='/logbook', action='new', id=session.get('case').id)}">Eintrag vornehmen</a></li>
        % endif
        <li><a href="${h.url_for(controller='/logbook', action='printout', id=session.get('case').id)}" target="_blank">Druckansicht</a></li>
      </ul>
    </div>
  </div>
% endif
</div>
<table class="appointment">
  <tr>
    <th class="title table_header_h">Datum
      <a href="${h.url_for(controller='/logbook', action='index', 
                           id=session.get('case').id, sort_field='datum', 
                           sort_order='asc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_asc.png')}"
               alt=""
               width="10"
               height="9"></a>
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='datum', 
                           sort_order='desc')}"
         ><img class="sorticon" 
               src="${h.url_for('/images/icons/sort_desc.png')}"
               alt=""
               width="10"
               height="9"></a>
    </th>
    <th class="title table_header_h">Bearbeiter/in
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='bearbeiter',
                           sort_order='asc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_asc.png')}"
               alt=""
               width="10"
               height="9"></a>
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='bearbeiter', 
                           sort_order='desc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_desc.png')}"
               alt=""
               width="10"
               height="9"></a>
    </th>
    <th class="title table_header_h">Art
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='art',
                           sort_order='asc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_asc.png')}"
               alt=""
               width="10"
               height="9"></a>
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='art',
                           sort_order='desc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_desc.png')}"
               alt=""
               width="10"
               height="9"></a>
    </th>
    <th class="title table_header_h">Dauer (min)
      <a href="${h.url_for(controller='/logbook', action='index',
                           id=session.get('case').id, sort_field='dauer',
                           sort_order='asc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_asc.png')}"
               alt=""
               width="10"
               height="9"></a>
      <a href="${h.url_for(controller='/logbook', action='index', 
                           id=session.get('case').id, sort_field='dauer',
                           sort_order='desc')}"
         ><img class="sorticon"
               src="${h.url_for('/images/icons/sort_desc.png')}"
               alt=""
               width="10"
               height="9"></a>
    </th>
    <th class="action table_header_h">${_('app_overview_tbl_header_actions')}</th>
  </tr>
% if c.logbook.hasEntries():
  % for entry in c.logbook.getEntries():
    <tr class="background_slight">
    <td class="date">${entry.getDate()} ${entry.getTime()}</td>
    <td class="title">${entry.getEditor()}</td>
    <td class="title">${entry.getKind()}</td>
    <td class="centered title ">${entry.getDuration()}</td>
    <td class="action">
        <a href="${h.url_for(controller='/logbook', action='show', id=entry.id)}">
            <img src="${h.url_for('/images/icons/open_active_22.png')}"
                alt="Eintrag ansehen"
                title="Eintrag ansehen"
                width="22"
                height="22"></a>
        % if h.hasRole(['cm_ka']) and entry.getKindAsInt() != 0 and session.get('case').getState().getState() == 1:
        <a href="${h.url_for(controller='/logbook', action='delete', id=entry.id, confirmed=0)}">
            <img src="${h.url_for('/images/icons/delete_active_22.png')}"
            alt="${_('delete')}"
            title="${_('delete')}"
            width="22"
            height="22"></a>
        % endif
    </td>
  </tr>
  <tr>
    <% notice = F.shorten(entry.getNotice(), 190) %>
    <td colspan="5" class="description">${notice | F.NA}</td>
  </tr>
  % endfor
% else:
  <tr>
    <td colspan="5">Keine Eintr&auml;ge gefunden</td>
  </tr>
% endif
</table>
<h3>Auswertung</h3>
<%include file="/logbook/evaluation.mako"/>
<%include file="/logbook/evaluation_typ.mako"/>
