## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case')}">${_('cm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id)}">${_('cm_np_select')}</a></li>
  <li><a href="#">${_('case_cm_phase')}</a></li>
</%def>

% if c.global_warnings:
<div class="form_errors">${c.global_warnings}</div>
% endif

<h2>${_('case_cm_phase')}</h2>
<div class="widget container">
  <form method="POST" action="${h.url_for(controller='/phase', action='editAction')}">
    <input type="hidden" name="case_id" value="${session.get('case').id}">
    <table id="cmphases">
      <% is_allowed = h.hasRole(('cm_ka',)) %>
      <tr>
        <th>${_('cm_info_phase')}</th>
        <th width="25px">&nbsp;</th>
        <th width="50%">${_('case_cm_phase_required_fields')}</th>
        <th>${_('case_cm_phase_time')}</th>
        % if c.show_actions:
          <th class="actions">
            % if is_allowed:
              ${_('Actions')}
            % endif
          </th>
        % endif
      </tr>
      <% phases_are_valid = c.phases.is_valid() %>
      <% current_phase = c.phases.get_current_phase_id() %>
      % for num, phase in enumerate(c.phases): 
      <% if phase.id == "-1" and g.mpuls_config.is_enabled('phases', 'hideunknown'): continue  %>

      <% p1, p2 = phase.getStart(), phase.getEnd()  %>
      ## Only show phases which are are on the path of the current phase, or
      ##are after the current path
      % if c.phases.is_on_path(p1.id, current_phase) \
        or c.phases.is_on_path(p2.id, current_phase) \
        or p1.id in c.phases.get_reachable_path(current_phase, False) \
        or p2.id in c.phases.get_reachable_path(current_phase, False) \
        or current_phase == '-1':
        <tr class="${(num%2) and 'hl' or ''}">
          <td rowspan="2" class="bold center middle">
            ${h.literal(phase.getDescription())}<br>
            <span class="note">
            % if p1.is_active():
              ${_('Running')}
            % elif p2.is_active():
              ${_('Finished')}
            % elif (p2.id in c.phases.get_path(current_phase)) or (p1.id in c.phases.get_path(current_phase)):
              ${_('Finished')}
            % else:
              ${_('Not yet started')}
            % endif
            </span>
          </td>
          <td class="middle">
          % if p1.is_ok() and (c.phases.is_on_path(p1.id, current_phase,True) or c.phases.is_on_path(current_phase, p1.id, True)): 
            <img src="${h.url_for('/images/icons/info/ok_22.png')}"
                alt="Ok"
                width="22"
                height="22">
          % else:
            <img src="${h.url_for('/images/icons/info/failure_22.png')}"
                    alt="Error"
                    width="22"
                    height="22">
          % endif
          </td>
          <td class="note" style="border-bottom: 1pt dotted; border-color: #000;">
            <% pages, order = p1.getLinks() %>
            % if len(pages) > 0:
              % for key in order:
                <% fields = pages.get(key, []) %>
                % if len(fields) > 0:
                  <strong>${key}</strong>:
                  ${h.literal(", ".join([f.get_link() for f in fields]))}
                % endif
                <br>
              % endfor
            % else:
              ${_('No required fields found')} 
            % endif
          </td>
          <td class="note center middle" style="border-bottom: 1pt dotted; border-color: #000;">
            ${h.NA(h.format_date(p1.getTime()))}
          </td>
          % if c.show_actions:
            <td class="actions middle" style="border-bottom: 1pt dotted; border-color: #000;">
              % if p1.is_ok() and phases_are_valid and p1.is_neighbor(current_phase) and h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
                <input type="submit" name="${p1.id}" value="${_('Start')}">
              % else:
                <input type="submit" name="${p1.id}" value="${_('Start')}" disabled="disabled">
              % endif
          </td>
          % endif
        </tr>
        <tr class="${(num%2) and 'hl' or ''}">
          <td class="middle">
          % if p2.is_ok() and (c.phases.is_on_path(p2.id, current_phase, True) or c.phases.is_on_path(current_phase, p2.id, True)): 
            <img src="${h.url_for('/images/icons/info/ok_22.png')}"
                alt="Ok"
                width="22"
                height="22">
          % else:
            <img src="${h.url_for('/images/icons/info/failure_22.png')}"
                alt="Error"
                width="22"
                height="22">
          % endif
          </td>
          <td class="note">
            <% pages, order = p2.getLinks() %>
            % if len(pages) > 0:
              % for key in order:
                <% fields = pages.get(key) %>
                % if len(fields) > 0:
                  <strong>${key}</strong>:
                  ${h.literal(", ".join([f.get_link() for f in fields]))}
                % endif
                <br>
              % endfor
            % else:
              ${_('No required fields found')}
            % endif
          </td>
          <td class="note center middle">${h.NA(h.format_date(p2.getTime()))}</td>
          % if c.show_actions:
            <td class="actions">
              % if p2.is_ok() and phases_are_valid and p2.is_neighbor(current_phase) and h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
                <input type="submit" name="${p2.id}" value="${_('Finish')}">
              % else:
                <input type="submit" name="${p2.id}" value="${_('Finish')}" disabled="disabled">
              % endif
            </td>
          % endif
        </tr>
      % endif
      % endfor
    </table>
  </form>
</div>

##
## DAUER DER PHASEN
##
<h2>${_('Duration of phases')}</h2>
<div class="widget container">
  <% total = None %>
  <table>
    <tr>
      <th>${_('Phase')}</th>
      <th class="actions">${_('Duration in weeks')}</th>
    </tr>
    % for num, phase in enumerate(c.phases): 
      <% if phase.id == "-1" and g.mpuls_config.is_enabled('phases', 'hideunknown'): continue  %>
      <% 
        t = phase.getDuration() 
        if t: total = total and (total + t) or t
      %>
      <tr class="${num%2 and 'hl' or ''}">
        <td>${h.literal(phase.getDescription())}</td>
        <td class="actions">${h.NA(h.timedelta_in_weeks(t))}</td>
      </tr>
    % endfor
    <tr>
      <td style="border-top:1px solid"><strong>Gesamt</strong></td>
      <td style="border-top:1px solid; text-align:right">
        <strong>${h.timedelta_in_weeks(total, '-/-')}</strong>
      </td>
    </tr>
      </table>
</div>
