#!/bin/sh
set -x
TYPE=wasko
DBHOST=localhost
DBPORT=5432
EXPORTHOST=85.22.68.219
EXPORTUSER=anonupload
TEMPLATEDIR=/home/mpuls/${TYPE}/transfer
TEMPLATEDB=$TEMPLATEDIR/template.db
EXPORTCOMMAND=${TEMPLATEDIR}/export-sqlite.py
DATADIR=${TEMPLATEDIR}/data

UPLOADDIR=incoming

DATE=`date +"%Y-%m-%d"`
EXPORTFILE=$DATADIR/${TYPE}-$DATE.db
cp $TEMPLATEDB $EXPORTFILE
chmod 666 $EXPORTFILE
echo "Exporting databases"
sudo -u postgres $EXPORTCOMMAND -o $EXPORTFILE
bzip2 $EXPORTFILE
chmod 640 $EXPORTFILE.bz2

echo "Transfering databases"
scp -qp -o "StrictHostKeyChecking=no" \
	-o "UserKnownHostsFile=/dev/null" \
	${EXPORTFILE}.bz2 ${EXPORTUSER}@${EXPORTHOST}:${UPLOADDIR}
echo "Done :)"

