BEGIN;
--
--
-- CREATE TABLES
--
CREATE TABLE dbinfo (
    id INTEGER PRIMARY KEY NOT NULL,
    key   VARCHAR(128) NOT NULL,
    value VARCHAR(256) 
);

INSERT INTO dbinfo (id, key, value) VALUES (1, 'version', CURRENT_TIME);
INSERT INTO dbinfo (id, key, value) VALUES (2, 'datadump', NULL);

CREATE TABLE bundeslaender_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    name VARCHAR(256) NOT NULL UNIQUE,
    kurz CHAR(2) NOT NULL UNIQUE
);

INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (-1, 'keine Angabe', '');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 0, 'Baden-Württemberg', 'BW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 1, 'Bayern', 'BY');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 2, 'Berlin', 'BE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 3, 'Brandenburg', 'BB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 4, 'Bremen', 'HB');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 5, 'Hamburg', 'HH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 6, 'Hessen', 'HE');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 7, 'Mecklenburg-Vorpommern', 'MV');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 8, 'Niedersachsen', 'NI');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES ( 9, 'Nordrhein-Westfalen', 'NW');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (10, 'Rheinland-Pfalz', 'RP');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (11, 'Saarland', 'SL');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (12, 'Sachsen', 'SN');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (13, 'Sachsen-Anhalt', 'ST');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (14, 'Schleswig-Holstein', 'SH');
INSERT INTO bundeslaender_tbl (id, name, kurz) VALUES (15, 'Thüringen', 'TH');

CREATE TABLE fkz_tbl (
    id            INTEGER PRIMARY KEY NOT NULL,
    name          VARCHAR(256) NOT NULL,
    fkz           VARCHAR(256) NOT NULL UNIQUE,
    database      VARCHAR(256) NOT NULL UNIQUE,
    bundesland_id INTEGER NOT NULL REFERENCES bundeslaender_tbl(id),
    UNIQUE (fkz, database)
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements
-- -- -- (mastert_tbl...)
-- -- --
-- -- --
CREATE TABLE nbetr_verbl_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(25) NOT NULL
);
CREATE TABLE cm_zielsch_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE cm_ziel_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(25) NOT NULL
);
CREATE TABLE cm_end_abgr_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE cm_end_ab_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(27) NOT NULL
);
CREATE TABLE cm_end_sonst_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(60) NOT NULL
);
CREATE TABLE nbtr_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE cm_end_schul_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE elternarbeit_ziel_erreicht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE elternarbeit_thema_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(63) NOT NULL
);
CREATE TABLE elt_koop_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE vereinbarung_mit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(24) NOT NULL
);
CREATE TABLE hilfsmassnahmen_erreicht_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE hilfsmassnahmen_zeit_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(14) NOT NULL
);
CREATE TABLE zielcm_schul_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(22) NOT NULL
);
CREATE TABLE probleme_aus_sicht_von_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(29) NOT NULL
);
CREATE TABLE fehlzeiten_jahr_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE fehlzeiten_monat_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE reint_ziel_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(42) NOT NULL
);
CREATE TABLE komp_schule_a_1_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(25) NOT NULL
);
CREATE TABLE kf_verfahren_1_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(58) NOT NULL
);
CREATE TABLE problfam_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(23) NOT NULL
);
CREATE TABLE ekomp_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(36) NOT NULL
);
CREATE TABLE sv_aktiv_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(20) NOT NULL
);
CREATE TABLE leistung_ges_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE schulform_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE zugeh_a_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE kontaktdaten_bezugsperson_funktion_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(41) NOT NULL
);
CREATE TABLE einkommen_a_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(16) NOT NULL
);
CREATE TABLE vater_beruf_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE mutter_beruf_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(33) NOT NULL
);
CREATE TABLE mutter_bildung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE mutter_spra_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(14) NOT NULL
);
CREATE TABLE mutter_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(14) NOT NULL
);
CREATE TABLE psorge_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(17) NOT NULL
);
CREATE TABLE nat_muspra_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(18) NOT NULL
);
CREATE TABLE nat_status_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(29) NOT NULL
);
CREATE TABLE nat_staat_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE nat_land_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(35) NOT NULL
);
CREATE TABLE kinder_allein_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE wohnauf_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(31) NOT NULL
);
CREATE TABLE wohnort_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(34) NOT NULL
);
CREATE TABLE teilnahme_evaluation_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(179) NOT NULL
);
CREATE TABLE ansprechpartner_typ_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE cm_dok_end_sonst_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(60) NOT NULL
);
CREATE TABLE cm_dok_end_verm_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE cm_dok_end_art_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(41) NOT NULL
);
CREATE TABLE cm2c_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE zugang_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(73) NOT NULL
);
CREATE TABLE geschlecht_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);
CREATE TABLE phase_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(30) NOT NULL
);
CREATE TABLE einwilligung_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(28) NOT NULL
);
CREATE TABLE master_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    uuid_id CHAR(36),
    bearbeiter_id int NOT NULL,
    einwilligung INTEGER DEFAULT -1,
    phase INTEGER DEFAULT -1,
    fkz VARCHAR(256),
    ks VARCHAR(256),
    fn VARCHAR(256),
    mitarb_zv VARCHAR(256),
    mitarb_zn VARCHAR(256),
    mitarb_vv VARCHAR(256),
    mitarb_vn VARCHAR(256),
    name VARCHAR(256),
    vorname VARCHAR(256),
    geschlecht INTEGER DEFAULT -1,
    geburtsdatum DATE,
    kontakt DATE,
    erstgespraech DATE,
    zugang INTEGER DEFAULT -1,
    zugang_t VARCHAR(256),
    cm2c INTEGER DEFAULT -1,
    cm_dok_datum_beendigung DATE,
    cm_dok_end_art INTEGER DEFAULT -1,
    cm_dok_end_verm INTEGER DEFAULT -1,
    cm_dok_end_sonst INTEGER DEFAULT -1,
    cm_neuauf_genehm INTEGER DEFAULT -1,
    cm_wiederauf_genehm_1 INTEGER DEFAULT -1,
    cm_wiederauf_genehm_datum_1 DATE,
    cm_wiederauf_datum_bis_1 DATE,
    cm_wiederauf_genehm_2 INTEGER DEFAULT -1,
    cm_wiederauf_datum_bis_2 DATE,
    cm2c_t TEXT,
    dok_eingang TEXT,
    datum_cm_start DATE,
    teilnahme_evaluation INTEGER DEFAULT -1,
    evaluation_nummer VARCHAR(60),
    addresse_strasse_1 VARCHAR(256),
    addresse_strassenr_1 VARCHAR(256),
    addresse_plz_1 VARCHAR(256),
    addresse_ort_1 VARCHAR(256),
    addresse1_vorwahl_1 VARCHAR(256),
    addresse1_telefonnummer_1 VARCHAR(256),
    addresse2_vorwahl_1 VARCHAR(256),
    addresse2_telefonnummer_2 VARCHAR(256),
    addresse_weiteretelefonnummern_1 VARCHAR(256),
    addresse_email_1 VARCHAR(256),
    wohnort INTEGER DEFAULT -1,
    wohnauf INTEGER DEFAULT -1,
    wohnauf_t VARCHAR(256),
    kinder INTEGER,
    kinder_hh INTEGER,
    kinder_allein INTEGER DEFAULT -1,
    nat_land INTEGER DEFAULT -1,
    nat_land_t VARCHAR(256),
    nat_staat INTEGER DEFAULT -1,
    nat_status INTEGER DEFAULT -1,
    nat_wohn DATE,
    nat_muspra INTEGER DEFAULT -1,
    nat_muspra_t VARCHAR(256),
    nat_haspra INTEGER DEFAULT -1,
    psorge INTEGER DEFAULT -1,
    psorge_t VARCHAR(256),
    mutter INTEGER DEFAULT -1,
    mutter_n VARCHAR(256),
    mutter_vn VARCHAR(256),
    mutter_gb DATE,
    mutter_strasse_1 VARCHAR(256),
    mutter_strassenr_1 VARCHAR(256),
    mutter_plz_1 VARCHAR(256),
    mutter_ort_1 VARCHAR(256),
    mutter_vorwahl1_1 VARCHAR(256),
    mutter_telefonnummer1_1 VARCHAR(256),
    mutter_vorwahl2_1 VARCHAR(256),
    mutter_telefonnummer2_1 VARCHAR(256),
    mutter_email_1 VARCHAR(256),
    mutter_land INTEGER DEFAULT -1,
    mutter_land_t VARCHAR(256),
    mutter_staat INTEGER DEFAULT -1,
    mutter_spra INTEGER DEFAULT -1,
    mutter_bildung INTEGER DEFAULT -1,
    mutter_bildung_t VARCHAR(256),
    mutter_beruf INTEGER DEFAULT -1,
    mutter_sonst TEXT,
    vater INTEGER DEFAULT -1,
    vater_n VARCHAR(256),
    vater_vn VARCHAR(256),
    vater_gb DATE,
    vater_strasse_1 VARCHAR(256),
    vater_strassenr_1 VARCHAR(256),
    vater_plz_1 VARCHAR(256),
    vater_ort_1 VARCHAR(256),
    vater_vorwahl1_1 VARCHAR(256),
    vater_telefonnummer1_1 VARCHAR(256),
    vater_vorwahl2_1 VARCHAR(256),
    vater_telefonnummer2_1 VARCHAR(256),
    vater_email_1 VARCHAR(256),
    vater_land INTEGER DEFAULT -1,
    vater_land_t VARCHAR(256),
    vater_staat INTEGER DEFAULT -1,
    vater_spra INTEGER DEFAULT -1,
    vater_bildung INTEGER DEFAULT -1,
    vater_bildung_t VARCHAR(256),
    vater_beruf INTEGER DEFAULT -1,
    vater_sonst TEXT,
    geschw_vorhanden INTEGER DEFAULT -1,
    geschw_w INTEGER,
    geschw_m INTEGER,
    geschw_hh INTEGER,
    geschw_alt_a INTEGER,
    geschw_alt_b INTEGER,
    geschw_alt_c INTEGER,
    geschw_alt_d INTEGER,
    einkommen_a INTEGER DEFAULT -1,
    einkommen_b INTEGER DEFAULT -1,
    einkommen_c INTEGER DEFAULT -1,
    einkommen_e INTEGER DEFAULT -1,
    einkommen_d INTEGER DEFAULT -1,
    einkommen_d_t TEXT,
    bezugsperson_a INTEGER DEFAULT -1,
    bezugsperson_b INTEGER DEFAULT -1,
    bezugsperson_c INTEGER DEFAULT -1,
    bezugsperson_d INTEGER DEFAULT -1,
    bezugsperson_e INTEGER DEFAULT -1,
    bezugsperson_f INTEGER DEFAULT -1,
    bezugsperson_g INTEGER DEFAULT -1,
    bezugsperson_h INTEGER DEFAULT -1,
    bezugsperson_i INTEGER DEFAULT -1,
    bezugsperson_j INTEGER DEFAULT -1,
    bezugsperson_k INTEGER DEFAULT -1,
    bezugsperson_l INTEGER DEFAULT -1,
    bezugsperson_m INTEGER DEFAULT -1,
    bezugsperson_n INTEGER DEFAULT -1,
    bezugsperson_o INTEGER DEFAULT -1,
    bezugsperson_p INTEGER DEFAULT -1,
    bezugsperson_q INTEGER DEFAULT -1,
    bezugsperson_r INTEGER DEFAULT -1,
    bezugsperson_r_t VARCHAR(256),
    zugeh_a INTEGER DEFAULT -1,
    zugeh_b INTEGER DEFAULT -1,
    zugeh_c INTEGER DEFAULT -1,
    zugeh_d INTEGER DEFAULT -1,
    dok_angaben TEXT,
    schulform INTEGER DEFAULT -1,
    schulform_t VARCHAR(256),
    klassenstufe INTEGER,
    klassenwdh INTEGER,
    sinteresse_a TEXT,
    sinteresse_b TEXT,
    leistung_ges INTEGER DEFAULT -1,
    leistung_d INTEGER DEFAULT -1,
    leistung_m INTEGER DEFAULT -1,
    leistung_fs INTEGER DEFAULT -1,
    sv_aktiv INTEGER DEFAULT -1,
    sv_passiv INTEGER DEFAULT -1,
    sv_a INTEGER DEFAULT -1,
    sv_b INTEGER DEFAULT -1,
    sv_c INTEGER DEFAULT -1,
    sv_d INTEGER DEFAULT -1,
    sv_e INTEGER DEFAULT -1,
    sv_f INTEGER DEFAULT -1,
    sv_g INTEGER DEFAULT -1,
    sv_g_t VARCHAR(256),
    fehltg_sj INTEGER,
    fehltg_sj_ue INTEGER,
    fehltg_m INTEGER,
    fehltg_m_ue INTEGER,
    fehlst_sj INTEGER,
    fehlst_sj_ue INTEGER,
    fehlst_m INTEGER,
    fehlst_m_ue INTEGER,
    sv_monate INTEGER,
    abschl_gef INTEGER DEFAULT -1,
    abschl_pr INTEGER DEFAULT -1,
    ordmn INTEGER,
    ekomp_a INTEGER DEFAULT -1,
    ekomp_b INTEGER DEFAULT -1,
    ekomp_c INTEGER DEFAULT -1,
    ekomp_d INTEGER DEFAULT -1,
    ekomp_e INTEGER DEFAULT -1,
    ekomp_f INTEGER DEFAULT -1,
    ekomp_g INTEGER DEFAULT -1,
    ekomp_h INTEGER DEFAULT -1,
    ekomp_i INTEGER DEFAULT -1,
    ekomp_i_t VARCHAR(256),
    problfam_a INTEGER DEFAULT -1,
    problfam_b INTEGER DEFAULT -1,
    problfam_c INTEGER DEFAULT -1,
    problfam_d INTEGER DEFAULT -1,
    problfam_e INTEGER DEFAULT -1,
    problfam_f INTEGER DEFAULT -1,
    problfam_g INTEGER DEFAULT -1,
    problfam_h INTEGER DEFAULT -1,
    problfam_i INTEGER DEFAULT -1,
    problfam_j INTEGER DEFAULT -1,
    problfam_k INTEGER DEFAULT -1,
    problfam_l INTEGER DEFAULT -1,
    problfam_m INTEGER DEFAULT -1,
    problfam_m_t VARCHAR(256),
    familie_anm TEXT,
    uleistung_beginn INTEGER DEFAULT -1,
    uleistung_beginn_a INTEGER DEFAULT -1,
    uleistung_beginn_b INTEGER DEFAULT -1,
    uleistung_beginn_c INTEGER DEFAULT -1,
    uleistung_beginn_d INTEGER DEFAULT -1,
    uleistung_beginn_e INTEGER DEFAULT -1,
    uleistung_beginn_f INTEGER DEFAULT -1,
    uleistung_beginn_g INTEGER DEFAULT -1,
    uleistung_beginn_h INTEGER DEFAULT -1,
    uleistung_beginn_i INTEGER DEFAULT -1,
    uleistung_beginn_j INTEGER DEFAULT -1,
    uleistung_beginn_j_t VARCHAR(256),
    uleistung_verg INTEGER DEFAULT -1,
    uleistung_anm TEXT,
    dok_biograf TEXT,
    datum_kf_1 DATE,
    kf_verfahren_1 INTEGER DEFAULT -1,
    kf_anbiet_1 VARCHAR(256),
    kf_meth_a_1 INTEGER DEFAULT -1,
    kf_meth_b_1 INTEGER DEFAULT -1,
    kf_meth_d_1 INTEGER DEFAULT -1,
    kf_meth_e_1 INTEGER DEFAULT -1,
    kf_meth_f_1 INTEGER DEFAULT -1,
    kf_meth_f_t_1 VARCHAR(256),
    kf_test_a_1 INTEGER DEFAULT -1,
    kf_test_a_t_1 VARCHAR(256),
    kf_test_b_1 INTEGER DEFAULT -1,
    kf_test_b_t_1 VARCHAR(256),
    kf_test_c_1 INTEGER DEFAULT -1,
    kf_test_c_t_1 VARCHAR(256),
    kf_test_d_1 INTEGER DEFAULT -1,
    kf_test_d_t_1 VARCHAR(256),
    komp_schule_a_1 INTEGER DEFAULT -1,
    komp_schule_b_1 INTEGER DEFAULT -1,
    komp_schule_c_1 INTEGER DEFAULT -1,
    komp_schule_d_1 INTEGER DEFAULT -1,
    komp_schule_e_1 INTEGER DEFAULT -1,
    komp_schule_f_1 INTEGER DEFAULT -1,
    komp_schule_g_1 INTEGER DEFAULT -1,
    komp_schule_g_t_1 VARCHAR(256),
    komp_deutsch_a_1 INTEGER DEFAULT -1,
    komp_deutsch_b_1 INTEGER DEFAULT -1,
    komp_deutsch_c_1 INTEGER DEFAULT -1,
    komp_deutsch_d_1 INTEGER DEFAULT -1,
    komp_herkunft_1 INTEGER DEFAULT -1,
    komp_sozial_a_1 INTEGER DEFAULT -1,
    komp_sozial_b_1 INTEGER DEFAULT -1,
    komp_sozial_c_1 INTEGER DEFAULT -1,
    komp_sozial_d_1 INTEGER DEFAULT -1,
    komp_sozial_e_1 INTEGER DEFAULT -1,
    komp_sozial_f_1 INTEGER DEFAULT -1,
    komp_sozial_g_1 INTEGER DEFAULT -1,
    komp_sozial_g_t_1 VARCHAR(256),
    komp_selbst_a_1 INTEGER DEFAULT -1,
    komp_selbst_b_1 INTEGER DEFAULT -1,
    komp_selbst_c_1 INTEGER DEFAULT -1,
    komp_selbst_d_1 INTEGER DEFAULT -1,
    komp_selbst_e_1 INTEGER DEFAULT -1,
    komp_selbst_f_1 INTEGER DEFAULT -1,
    komp_selbst_g_1 INTEGER DEFAULT -1,
    komp_selbst_g_t_1 VARCHAR(256),
    komp_psy_a_1 INTEGER DEFAULT -1,
    komp_psy_b_1 INTEGER DEFAULT -1,
    komp_psy_c_1 INTEGER DEFAULT -1,
    komp_psy_d_1 INTEGER DEFAULT -1,
    komp_psy_e_1 INTEGER DEFAULT -1,
    komp_psy_f_1 INTEGER DEFAULT -1,
    komp_psy_g_1 INTEGER DEFAULT -1,
    komp_psy_g_t_1 VARCHAR(256),
    komp_anm TEXT,
    entw_a_1 INTEGER DEFAULT -1,
    entw_b_1 INTEGER DEFAULT -1,
    entw_c_1 INTEGER DEFAULT -1,
    entw_d_1 INTEGER DEFAULT -1,
    entw_e_1 INTEGER DEFAULT -1,
    entw_f_1 INTEGER DEFAULT -1,
    entw_g_1 INTEGER DEFAULT -1,
    entw_h_1 INTEGER DEFAULT -1,
    entw_h_t_1 VARCHAR(256),
    entw_i_1 INTEGER DEFAULT -1,
    entw_i_t_1 VARCHAR(256),
    entw_j_1 INTEGER DEFAULT -1,
    entw_j_t_1 VARCHAR(256),
    entw_k_1 INTEGER DEFAULT -1,
    entw_k_t_1 VARCHAR(256),
    entw_beh INTEGER DEFAULT -1,
    dok_entw TEXT,
    datum_bfplan DATE,
    beschul_a INTEGER DEFAULT -1,
    beschul_b INTEGER DEFAULT -1,
    beschul_c INTEGER DEFAULT -1,
    beschul_d INTEGER DEFAULT -1,
    beschul_e INTEGER DEFAULT -1,
    beschul_f INTEGER DEFAULT -1,
    beschul_h INTEGER DEFAULT -1,
    beschul_h_t VARCHAR(256),
    reint_ziel INTEGER DEFAULT -1,
    reint_ziel_t VARCHAR(256),
    reint_beding_a TEXT,
    reint_beding_b TEXT,
    reint_beding_c TEXT,
    reint_beding_d_t VARCHAR(256),
    reint_beding_d TEXT,
    zielcm_schul_a INTEGER DEFAULT -1,
    zielcm_schul_b INTEGER DEFAULT -1,
    zielcm_schul_c INTEGER DEFAULT -1,
    zielcm_schul_d INTEGER DEFAULT -1,
    zielcm_schul_e INTEGER DEFAULT -1,
    zielcm_schul_f INTEGER DEFAULT -1,
    zielcm_schul_g INTEGER DEFAULT -1,
    zielcm_schul_h INTEGER DEFAULT -1,
    zielcm_schul_h_t VARCHAR(256),
    zielcm_sozial_a INTEGER DEFAULT -1,
    zielcm_sozial_b INTEGER DEFAULT -1,
    zielcm_sozial_c INTEGER DEFAULT -1,
    zielcm_sozial_d INTEGER DEFAULT -1,
    zielcm_sozial_e INTEGER DEFAULT -1,
    zielcm_sozial_f INTEGER DEFAULT -1,
    zielcm_sozial_g INTEGER DEFAULT -1,
    zielcm_sozial_h INTEGER DEFAULT -1,
    zielcm_sozial_h_t VARCHAR(256),
    hilfm_weitere TEXT,
    elt_koop INTEGER DEFAULT -1,
    elt_mn_a INTEGER DEFAULT -1,
    elt_mn_b INTEGER DEFAULT -1,
    elt_mn_c INTEGER DEFAULT -1,
    elt_mn_d INTEGER DEFAULT -1,
    elt_mn_e INTEGER DEFAULT -1,
    elt_mn_f INTEGER DEFAULT -1,
    elt_mn_g INTEGER DEFAULT -1,
    elt_mn_h INTEGER DEFAULT -1,
    elt_mn_i INTEGER DEFAULT -1,
    elt_mn_j INTEGER DEFAULT -1,
    elt_mn_j_t VARCHAR(256),
    dok_cm TEXT,
    cm_datum_verlaengerung_1 DATE,
    cm_bestaet_verlaengerung_1 INTEGER DEFAULT -1,
    cm_anmerk_verlaengerung_1 TEXT,
    cm_datum_verlaengerung_2 DATE,
    cm_bestaet_verlaengerung_2 INTEGER DEFAULT -1,
    cm_anmerk_verlaengerung_2 TEXT,
    datum_cm_ende DATE,
    cm_kontakt INTEGER,
    cm_kontakt_sonstige INTEGER,
    cm_kontakt_sonstige_t VARCHAR(256),
    beschul_end_a INTEGER DEFAULT -1,
    beschul_end_b INTEGER DEFAULT -1,
    beschul_end_c INTEGER DEFAULT -1,
    beschul_end_d INTEGER DEFAULT -1,
    beschul_end_e INTEGER DEFAULT -1,
    beschul_end_f INTEGER DEFAULT -1,
    beschul_end_h INTEGER DEFAULT -1,
    beschul_end_h_t VARCHAR(256),
    uleistung_ende INTEGER DEFAULT -1,
    uleistung_ende_a INTEGER DEFAULT -1,
    uleistung_ende_b INTEGER DEFAULT -1,
    uleistung_ende_c INTEGER DEFAULT -1,
    uleistung_ende_d INTEGER DEFAULT -1,
    uleistung_ende_e INTEGER DEFAULT -1,
    uleistung_ende_f INTEGER DEFAULT -1,
    uleistung_ende_g INTEGER DEFAULT -1,
    uleistung_ende_h INTEGER DEFAULT -1,
    uleistung_ende_i INTEGER DEFAULT -1,
    uleistung_ende_j INTEGER DEFAULT -1,
    uleistung_ende_j_t VARCHAR(256),
    cm_end_art INTEGER DEFAULT -1,
    cm_end_verm INTEGER DEFAULT -1,
    cm_end_verm_t VARCHAR(256),
    cm_end_schul INTEGER DEFAULT -1,
    cm_end_schul_t VARCHAR(256),
    cm_end_jg INTEGER,
    cm_schule_name VARCHAR(256),
    cm_schule_strasse VARCHAR(256),
    cm_schule_strassenr VARCHAR(256),
    cm_schule_plz VARCHAR(256),
    cm_schule_ort VARCHAR(256),
    cm_schule_person_1 VARCHAR(256),
    cm_schule_person_2 VARCHAR(256),
    nbtr INTEGER DEFAULT -1,
    cm_end_sonst INTEGER DEFAULT -1,
    cm_end_sonst_t VARCHAR(256),
    cm_end_ab INTEGER DEFAULT -1,
    cm_end_abgr INTEGER DEFAULT -1,
    cm_end_abgr_t VARCHAR(256),
    cm_ziel INTEGER DEFAULT -1,
    cm_schulbes_1 INTEGER DEFAULT -1,
    cm_schulbes_2 INTEGER DEFAULT -1,
    cm_zielsch_a INTEGER DEFAULT -1,
    cm_zielsch_b INTEGER DEFAULT -1,
    cm_zielsch_c INTEGER DEFAULT -1,
    cm_zielsch_d INTEGER DEFAULT -1,
    cm_zielsch_e INTEGER DEFAULT -1,
    cm_zielsch_f INTEGER DEFAULT -1,
    cm_zielsch_g INTEGER DEFAULT -1,
    cm_zielsch_h INTEGER DEFAULT -1,
    cm_zielsch_h_t VARCHAR(256),
    cm_zielsoz_a INTEGER DEFAULT -1,
    cm_zielsoz_b INTEGER DEFAULT -1,
    cm_zielsoz_c INTEGER DEFAULT -1,
    cm_zielsoz_d INTEGER DEFAULT -1,
    cm_zielsoz_e INTEGER DEFAULT -1,
    cm_zielsoz_f INTEGER DEFAULT -1,
    cm_zielsoz_g INTEGER DEFAULT -1,
    cm_zielsoz_h INTEGER DEFAULT -1,
    cm_zielsoz_h_t VARCHAR(256),
    dok_ziel TEXT,
    dok_abschl TEXT,
    nbetr_start DATE,
    nbetr_ende DATE,
    nbetr_mn TEXT,
    nbetr_verbl INTEGER DEFAULT -1,
    nbetr_verbl_t VARCHAR(256),
    dokumentation_nachbetreuung TEXT,
    UNIQUE (uuid_id),
    FOREIGN KEY (einwilligung) REFERENCES einwilligung_tbl (id),
    FOREIGN KEY (phase) REFERENCES phase_tbl (id),
    FOREIGN KEY (geschlecht) REFERENCES geschlecht_tbl (id),
    FOREIGN KEY (zugang) REFERENCES zugang_tbl (id),
    FOREIGN KEY (cm2c) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_dok_end_art) REFERENCES cm_dok_end_art_tbl (id),
    FOREIGN KEY (cm_dok_end_verm) REFERENCES cm_dok_end_verm_tbl (id),
    FOREIGN KEY (cm_dok_end_sonst) REFERENCES cm_dok_end_sonst_tbl (id),
    FOREIGN KEY (cm_neuauf_genehm) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_wiederauf_genehm_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_wiederauf_genehm_2) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (teilnahme_evaluation) REFERENCES teilnahme_evaluation_tbl (id),
    FOREIGN KEY (wohnort) REFERENCES wohnort_tbl (id),
    FOREIGN KEY (wohnauf) REFERENCES wohnauf_tbl (id),
    FOREIGN KEY (kinder_allein) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (nat_land) REFERENCES nat_land_tbl (id),
    FOREIGN KEY (nat_staat) REFERENCES nat_staat_tbl (id),
    FOREIGN KEY (nat_status) REFERENCES nat_status_tbl (id),
    FOREIGN KEY (nat_muspra) REFERENCES nat_muspra_tbl (id),
    FOREIGN KEY (nat_haspra) REFERENCES nat_staat_tbl (id),
    FOREIGN KEY (psorge) REFERENCES psorge_tbl (id),
    FOREIGN KEY (mutter) REFERENCES mutter_tbl (id),
    FOREIGN KEY (mutter_land) REFERENCES nat_land_tbl (id),
    FOREIGN KEY (mutter_staat) REFERENCES nat_staat_tbl (id),
    FOREIGN KEY (mutter_spra) REFERENCES mutter_spra_tbl (id),
    FOREIGN KEY (mutter_bildung) REFERENCES mutter_bildung_tbl (id),
    FOREIGN KEY (mutter_beruf) REFERENCES mutter_beruf_tbl (id),
    FOREIGN KEY (vater) REFERENCES mutter_tbl (id),
    FOREIGN KEY (vater_land) REFERENCES nat_land_tbl (id),
    FOREIGN KEY (vater_staat) REFERENCES nat_staat_tbl (id),
    FOREIGN KEY (vater_spra) REFERENCES mutter_spra_tbl (id),
    FOREIGN KEY (vater_bildung) REFERENCES mutter_bildung_tbl (id),
    FOREIGN KEY (vater_beruf) REFERENCES vater_beruf_tbl (id),
    FOREIGN KEY (geschw_vorhanden) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (einkommen_a) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (einkommen_b) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (einkommen_c) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (einkommen_e) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (einkommen_d) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (bezugsperson_a) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_b) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_c) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_d) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_e) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_f) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_g) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_h) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_i) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_j) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_k) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_l) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_m) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_n) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_o) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_p) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_q) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (bezugsperson_r) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (zugeh_a) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_b) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_c) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (zugeh_d) REFERENCES zugeh_a_tbl (id),
    FOREIGN KEY (schulform) REFERENCES schulform_tbl (id),
    FOREIGN KEY (leistung_ges) REFERENCES leistung_ges_tbl (id),
    FOREIGN KEY (leistung_d) REFERENCES leistung_ges_tbl (id),
    FOREIGN KEY (leistung_m) REFERENCES leistung_ges_tbl (id),
    FOREIGN KEY (leistung_fs) REFERENCES leistung_ges_tbl (id),
    FOREIGN KEY (sv_aktiv) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_passiv) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_a) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_b) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_c) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_d) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_e) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_f) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (sv_g) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (abschl_gef) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (abschl_pr) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (ekomp_a) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_b) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_c) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_d) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_e) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_f) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_g) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_h) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (ekomp_i) REFERENCES ekomp_a_tbl (id),
    FOREIGN KEY (problfam_a) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_b) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_c) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_d) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_e) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_f) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_g) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_h) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_i) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_j) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_k) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_l) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (problfam_m) REFERENCES problfam_a_tbl (id),
    FOREIGN KEY (uleistung_beginn) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_a) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_b) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_c) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_d) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_e) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_f) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_g) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_h) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_i) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_beginn_j) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_verg) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_verfahren_1) REFERENCES kf_verfahren_1_tbl (id),
    FOREIGN KEY (kf_meth_a_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_meth_b_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_meth_d_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_meth_e_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_meth_f_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (kf_test_a_1) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (kf_test_b_1) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (kf_test_c_1) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (kf_test_d_1) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (komp_schule_a_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_b_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_c_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_d_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_e_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_f_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_schule_g_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_deutsch_a_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_deutsch_b_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_deutsch_c_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_deutsch_d_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_herkunft_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_a_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_b_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_c_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_d_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_e_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_f_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_sozial_g_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_a_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_b_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_c_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_d_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_e_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_f_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_selbst_g_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_a_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_b_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_c_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_d_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_e_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_f_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (komp_psy_g_1) REFERENCES komp_schule_a_1_tbl (id),
    FOREIGN KEY (entw_a_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_b_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_c_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_d_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_e_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_f_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_g_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_h_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_i_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_j_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_k_1) REFERENCES sv_aktiv_tbl (id),
    FOREIGN KEY (entw_beh) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (beschul_a) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_b) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_c) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_d) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_e) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_f) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_h) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (reint_ziel) REFERENCES reint_ziel_tbl (id),
    FOREIGN KEY (zielcm_schul_a) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_b) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_c) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_d) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_e) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_f) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_g) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_schul_h) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_a) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_b) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_c) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_d) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_e) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_f) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_g) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (zielcm_sozial_h) REFERENCES zielcm_schul_a_tbl (id),
    FOREIGN KEY (elt_koop) REFERENCES elt_koop_tbl (id),
    FOREIGN KEY (elt_mn_a) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_b) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_c) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_d) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_e) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_f) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_g) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_h) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_i) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (elt_mn_j) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_bestaet_verlaengerung_1) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (cm_bestaet_verlaengerung_2) REFERENCES kinder_allein_tbl (id),
    FOREIGN KEY (beschul_end_a) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_b) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_c) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_d) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_e) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_f) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (beschul_end_h) REFERENCES einkommen_a_tbl (id),
    FOREIGN KEY (uleistung_ende) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_a) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_b) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_c) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_d) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_e) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_f) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_g) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_h) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_i) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (uleistung_ende_j) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_end_art) REFERENCES cm_dok_end_art_tbl (id),
    FOREIGN KEY (cm_end_verm) REFERENCES cm_dok_end_verm_tbl (id),
    FOREIGN KEY (cm_end_schul) REFERENCES cm_end_schul_tbl (id),
    FOREIGN KEY (nbtr) REFERENCES nbtr_tbl (id),
    FOREIGN KEY (cm_end_sonst) REFERENCES cm_end_sonst_tbl (id),
    FOREIGN KEY (cm_end_ab) REFERENCES cm_end_ab_tbl (id),
    FOREIGN KEY (cm_end_abgr) REFERENCES cm_end_abgr_tbl (id),
    FOREIGN KEY (cm_ziel) REFERENCES cm_ziel_tbl (id),
    FOREIGN KEY (cm_schulbes_1) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_schulbes_2) REFERENCES cm2c_tbl (id),
    FOREIGN KEY (cm_zielsch_a) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_b) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_c) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_d) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_e) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_f) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_g) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsch_h) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_a) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_b) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_c) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_d) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_e) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_f) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_g) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (cm_zielsoz_h) REFERENCES cm_zielsch_a_tbl (id),
    FOREIGN KEY (nbetr_verbl) REFERENCES nbetr_verbl_tbl (id)
);
CREATE TABLE rg_ansprechpartner_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    ansprechpartner_typ INTEGER DEFAULT -1,
    ansprechpartner_name VARCHAR(256),
    ansprechpartner_kundennummer VARCHAR(256),
    ansprechpartner_strasse VARCHAR(256),
    ansprechpartner_strassenr VARCHAR(256),
    ansprechpartner_plz VARCHAR(256),
    ansprechpartner_ort VARCHAR(256),
    ansprechpartner_vorwahl VARCHAR(256),
    ansprechpartner_telefonnummer VARCHAR(256),
    ansprechpartner_email VARCHAR(256),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (ansprechpartner_typ) REFERENCES ansprechpartner_typ_tbl (id)
);
CREATE TABLE rg_kontaktdaten_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    kontaktdaten_bezugsperson_name VARCHAR(256),
    kontaktdaten_bezugsperson_vorname VARCHAR(256),
    kontaktdaten_bezugsperson_funktion INTEGER DEFAULT -1,
    kontaktdaten_bezugsperson_strasse VARCHAR(256),
    kontaktdaten_bezugsperson_strassenr VARCHAR(256),
    kontaktdaten_bezugsperson_plz VARCHAR(256),
    kontaktdaten_bezugsperson_ort VARCHAR(256),
    kontaktdaten_bezugsperson_vorwahl VARCHAR(256),
    kontaktdaten_bezugsperson_telefon VARCHAR(256),
    kontaktdaten_bezugsperson_email VARCHAR(256),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (kontaktdaten_bezugsperson_funktion) REFERENCES kontaktdaten_bezugsperson_funktion_tbl (id)
);
CREATE TABLE rg_fehlzeiten_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    fehlzeiten_monat INTEGER DEFAULT -1,
    fehlzeiten_jahr INTEGER DEFAULT -1,
    fehlzeiten_anzahl_fehltage INTEGER,
    fehlzeiten_unentschuldigt_tage INTEGER,
    fehlzeiten_anzahl_fehlstunden INTEGER,
    fehlzeiten_unentschuldigt_stunden INTEGER,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (fehlzeiten_monat) REFERENCES fehlzeiten_monat_tbl (id),
    FOREIGN KEY (fehlzeiten_jahr) REFERENCES fehlzeiten_jahr_tbl (id)
);
CREATE TABLE rg_probleme_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    probleme_aus_sicht_von INTEGER DEFAULT -1,
    probleme_beschreibung TEXT,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (probleme_aus_sicht_von) REFERENCES probleme_aus_sicht_von_tbl (id)
);
CREATE TABLE rg_hilfsmassnahmen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    hilfsmassnahmen_art VARCHAR(256),
    hilfsmassnahmen_institution VARCHAR(256),
    hilfsmassnahmen_einrichtung VARCHAR(256),
    hilfsmassnahmen_start DATE,
    hilfsmassnahmen_ende DATE,
    hilfsmassnahmen_umfang INTEGER,
    hilfsmassnahmen_ziel_1 VARCHAR(256),
    hilfsmassnahmen_zeit_1 INTEGER DEFAULT -1,
    hilfsmassnahmen_erreicht_1 INTEGER DEFAULT -1,
    hilfsmassnahmen_ziel_2 VARCHAR(256),
    hilfsmassnahmen_zeit_2 INTEGER DEFAULT -1,
    hilfsmassnahmen_erreicht_2 INTEGER DEFAULT -1,
    hilfsmassnahmen_ziel_3 VARCHAR(256),
    hilfsmassnahmen_zeit_3 INTEGER DEFAULT -1,
    hilfsmassnahmen_erreicht_3 INTEGER DEFAULT -1,
    hilfsmassnahmen_schlussfolgerungen TEXT,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (hilfsmassnahmen_zeit_1) REFERENCES hilfsmassnahmen_zeit_1_tbl (id),
    FOREIGN KEY (hilfsmassnahmen_erreicht_1) REFERENCES hilfsmassnahmen_erreicht_1_tbl (id),
    FOREIGN KEY (hilfsmassnahmen_zeit_2) REFERENCES hilfsmassnahmen_zeit_1_tbl (id),
    FOREIGN KEY (hilfsmassnahmen_erreicht_2) REFERENCES hilfsmassnahmen_erreicht_1_tbl (id),
    FOREIGN KEY (hilfsmassnahmen_zeit_3) REFERENCES hilfsmassnahmen_zeit_1_tbl (id),
    FOREIGN KEY (hilfsmassnahmen_erreicht_3) REFERENCES hilfsmassnahmen_erreicht_1_tbl (id)
);
CREATE TABLE rg_vereinbarungen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    vereinbarung_mit INTEGER DEFAULT -1,
    vereinbarung_sonstige VARCHAR(256),
    vereinbarung_text TEXT,
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (vereinbarung_mit) REFERENCES vereinbarung_mit_tbl (id)
);
CREATE TABLE rg_elternarbeit_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL,
    uuid_id CHAR(36),
    elternarbeit_thema INTEGER DEFAULT -1,
    elternarbeit_ziel INTEGER DEFAULT -1,
    elternarbeit_ziel_erreicht INTEGER DEFAULT -1,
    elternarbeit_schlussfolgerungen TEXT,
    elternarbeit_sonstiges VARCHAR(256),
    FOREIGN KEY (master_id) REFERENCES master_tbl (id) ON DELETE CASCADE,
    UNIQUE (uuid_id),
    FOREIGN KEY (elternarbeit_thema) REFERENCES elternarbeit_thema_tbl (id),
    FOREIGN KEY (elternarbeit_ziel) REFERENCES elt_koop_tbl (id),
    FOREIGN KEY (elternarbeit_ziel_erreicht) REFERENCES elternarbeit_ziel_erreicht_tbl (id)
);


-- -- --
-- -- -- END Autogenerated CREATE part of sql statements
-- -- --
-- -- --


CREATE TABLE status_tbl (
	id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(256) NOT NULL
);

CREATE TABLE ka_status_tbl (
	id        INTEGER PRIMARY KEY NOT NULL,
	master_id INTEGER REFERENCES master_tbl(id) ON DELETE CASCADE,
	status    INTEGER DEFAULT 1 NOT NULL REFERENCES status_tbl(id),
	zugriff   timestamp,
    erstellt  timestamp,
	anonymisiert timestamp
);

INSERT INTO status_tbl (id, value) VALUES (1, 'offen');
INSERT INTO status_tbl (id, value) VALUES (2, 'geschlossen');
INSERT INTO status_tbl (id, value) VALUES (3, 'schwebend gelöscht');
INSERT INTO status_tbl (id, value) VALUES (4, 'schwebend anonymisiert');
INSERT INTO status_tbl (id, value) VALUES (5, 'anonymisiert');


CREATE TABLE tags (
    id          INTEGER PRIMARY KEY NOT NULL,
    label       VARCHAR(256) NOT NULL,
    description TEXT,
    systemtag   BOOLEAN DEFAULT TRUE
);

-- -- --
-- -- -- START Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --
INSERT INTO tags (id, label, description) VALUES (0, 'Alle', 'Jede Fallakte hat einen Tag');
INSERT INTO tags (id, label, description) VALUES (1, 'Grundsätzlich auswertbar', 'Die Fallakte ist konsistent und weist die benötigten Validitäten auf, die für eine grundsätzliche Auswertung erfüllt sein müssen. Die Fallakte steht in Auswertungen zur Verfügung');
INSERT INTO tags (id, label, description) VALUES (2, 'Berichtsfähig', 'Eine Fallakte ist grundsätzlich auswertbar. Sie befindet sich darüber hinaus mindestens im laufendem CM und enthält eine Geschlechtsangabe. Die Fallakte steht für Auswertungen wie den Verwendungsnachweis zur Verfügung');
INSERT INTO tags (id, label, description) VALUES (10, 'Datumsangaben konsistent', 'Alle Datumsangaben in der Fallakte befinden sich in chronologisch korrekter Reihenfolge und liegen nicht in der Zukunft');
INSERT INTO tags (id, label, description) VALUES (11, 'Phase ist gesetzt', 'Die Phase der Fallakte ist nicht unbekannt');
INSERT INTO tags (id, label, description) VALUES (12, 'Synchronität der Phasen ist gegeben', 'Die in der Fallakte angegebenen Datumsangaben sind nicht weiter ausgefüllt, als es die aktuell gesetzte Phase. Z.b ein gesetzten Beendigungsdatum bei laufender Phase');
INSERT INTO tags (id, label, description) VALUES (13, 'Junger Mensch ist ein CM-Kunde', 'Für den jungen Menschen wurde im Phasenmodell mindestens ein laufendes Case Management dokumentiert');
INSERT INTO tags (id, label, description) VALUES (14, 'Geschlechtsangabe angegeben', 'Die Geschlechtsangabe des jungen Menschen ist angegeben und hat nicht den Wert "unbekannt"');
INSERT INTO tags (id, label, description) VALUES (17, 'Die Dauer der Phasen überschreitet nicht die maximale Länge', 'Die Regeln, die sicherstellen das die Phasen nicht die maximale Länge überschreiten, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (101, 'Mindestdatum nicht gegeben', 'Das Datum muss nach dem 1.1.1970 liegen');
INSERT INTO tags (id, label, description) VALUES (110, 'Ende Wiederaufnahme max 93Tage > als Genehmigung Wiederaufnahme', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (111, 'Ende Wiederaufnahme max 93Tage > als Beendigung Wiederaufnahme 1', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (112, 'Dauer der Verlängerung > 93Tage nach Ende letzter Verlängerung', 'Ende der Verlängerung darf max 3 Monate nach dem Ende der ersten Verlängerung liegen');
INSERT INTO tags (id, label, description) VALUES (113, 'Dauer der Verlängerung > 458 Tage nach Beginn CM', 'Ende der Verlängerung darf max 12 Monate + 3 Monate nach dem Beginn der Aufnahme in das CM liegen.');
INSERT INTO tags (id, label, description) VALUES (200, 'Phase NB darf nicht gestartet werden wenn Art der Beendigung keine erfolgreiche Reeintegration ist', 'Eine Nachbetreuung darf nur bei einer erfolgreichen Reintegration begonnen werden.');
INSERT INTO tags (id, label, description) VALUES (201, 'Phase NB darf nur gestartet werden wenn eine Nachbetreuung geplant ist', 'Eine Nachbetreuung darf nur bei einer geplanten Nachbetreuung begonnen werden.');
INSERT INTO tags (id, label, description) VALUES (900, 'Phase EA nicht länger als 12 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Eingangsanamnese". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (901, 'Phase CM  nicht länger als 18 monate', 'Die eingetragenen Datumsangaben (inklusive der Verlängerungen des CM) sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Case Management". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (902, 'Phase NB nicht länger als 12 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Nachbetreuung". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (1000, '"geburtsdatum" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1001, '"geburtsdatum" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1002, '"vater_gb" muss vor "geburtsdatum" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1003, '"geburtsdatum" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1004, '"geburtsdatum" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1005, '"geburtsdatum" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1006, '"geburtsdatum" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1007, '"geburtsdatum" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1008, '"geburtsdatum" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1009, '"geburtsdatum" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1010, '"mutter_gb" muss vor "geburtsdatum" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1011, '"geburtsdatum" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1013, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1014, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_genehm_datum_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme" liegen.');
INSERT INTO tags (id, label, description) VALUES (1015, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1017, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1018, '"cm_wiederauf_datum_bis_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"" darf zeitlich nicht nach "" liegen.');
INSERT INTO tags (id, label, description) VALUES (1019, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1021, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1022, '"kontakt" muss vor "nbetr_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1023, '"erstgespraech" muss vor "nbetr_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1024, '"erstgespraech" muss vor "datum_cm_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1025, '"mutter_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1026, '"kontakt" muss vor "datum_cm_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1027, '"kontakt" muss vor "datum_bfplan" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1028, '"kontakt" muss vor "datum_cm_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1029, '"vater_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1030, '"erstgespraech" muss vor "nbetr_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1031, '"kontakt" muss vor "nbetr_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1032, '"vater_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1033, '"mutter_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1034, '"erstgespraech" muss vor "datum_cm_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1035, '"erstgespraech" muss vor "datum_bfplan" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1036, '"kontakt" muss vor "erstgespraech" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1037, '"datum_cm_start" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1038, '"datum_cm_start" muss vor "datum_bfplan" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1039, '"vater_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1040, '"mutter_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1041, '"datum_cm_start" muss vor "nbetr_start" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1042, '"datum_cm_start" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1043, '"mutter_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1044, '"vater_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1045, '"mutter_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1046, '"mutter_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1047, '"mutter_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1048, '"mutter_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1049, '"mutter_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1050, '"mutter_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1051, '"vater_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1052, '"vater_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1053, '"vater_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1054, '"vater_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1055, '"vater_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1056, '"vater_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1057, '"datum_bfplan" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1058, '"datum_bfplan" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1059, '"datum_bfplan" muss vor "nbetr_start" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1061, '"cm_datum_verlaengerung_1" muss vor "cm_datum_verlaengerung_2" liegen.', '"Datum erste Verlängerung" darf zeitlich nicht nach "Datum zweite Verlängerung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1063, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1064, '"datum_cm_ende" muss vor "nbetr_ende" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1065, '"datum_cm_ende" muss vor "nbetr_start" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1068, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1069, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1070, '"nbetr_start" muss vor "nbetr_ende" liegen.', '"Datum Start der Nachbetreuung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');


-- -- --
-- -- -- END Autogenerated CREATE part of sql statements for tag
-- -- --
-- -- --

CREATE TABLE nm_tags_cases ( 
    id        INTEGER PRIMARY KEY NOT NULL,
    master_id INTEGER NOT NULL REFERENCES master_tbl(id) ON DELETE CASCADE,
    tag_id    INTEGER NOT NULL REFERENCES tags(id),
    created   TIMESTAMP,
    UNIQUE (master_id, tag_id)
);

CREATE TABLE ka_logbuch_typ_tbl (
    id         SERIAL NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_typ_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (0, 'nicht aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (1, 'aufsuchend');
INSERT INTO ka_logbuch_typ_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_art_tbl (
    id         INTEGER NOT NULL,
    beschreibung VARCHAR(256),
    CONSTRAINT ka_logbuch_art_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 0, 'Automatischer Eintrag');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 1, 'Gespräch mit dem/der Jugendlichen Kompetenzfeststellung'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 2, 'Kompetenzfeststellung'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 3, 'Korrespondenz mit dem/der Jugendlichen (Telefonate/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 4, 'Begleitung des/der Jugendlichen zu externen Stellen'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 5, 'Sonstige Betreuung des Jugendlichen'); 
-- Arbeit mit Eltern/Personensorgeberechtigte
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 6, 'Gespräch mit Eltern/Personensorgeberechtigten'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 7, 'Korrespondenz mit Eltern/Personensorgeberechtigten (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 8, 'Sonstige Maßnahmen der Elternarbeit'); 
-- Arbeit mit Dritten 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 9, 'Gespräch mit schulischen Mitarbeiter/-innen'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 10, 'Korrespondenz mit Schule (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 11, 'Korrespondenz mit Jugendhilfe (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 12, 'Gespräch mit beteiligten Dritten/Kooperationspartnern'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 13, 'Korrespondenz mit beteiligten Dritten/Kooperationspartnern (Telefonat/Schriftverkehr)'); 
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 14, 'Förder- bzw. Fallkonferenz');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 19, 'Gespräch mit Mitarbeiter/-innen der Jugendhilfe');
-- Sonstiges
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 15, 'Fahrtwege');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 16, 'Dokumentation WASKO');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 17, 'Teambesprechung');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES ( 18, 'Gespräch mit Mitarbeiter/-innen der Jugendhilfe');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-2, 'Sonstiges');
INSERT INTO ka_logbuch_art_tbl (id, beschreibung) VALUES (-1, 'Keine Angabe');

CREATE TABLE ka_logbuch_tbl (
    id         INTEGER NOT NULL,
    master_id  int4 REFERENCES master_tbl(id)         ON DELETE CASCADE,
    datum      TIMESTAMP,
    bearbeiter VARCHAR(256),
    art        int4 REFERENCES ka_logbuch_art_tbl(id) ON DELETE SET DEFAULT,
    typ        int4 REFERENCES ka_logbuch_typ_tbl(id) ON DELETE SET DEFAULT,
    kurz_notiz VARCHAR(256),
    notiz      text,
    dauer      interval,
    CONSTRAINT ka_logbuch_tbl_pkey PRIMARY KEY (id)
);

-- -- --
-- -- -- START Autogenerated INSERT part of sql statements
-- -- -- 
-- -- --
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (1, 'regelmäßiger Schulbesuch');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (2, 'Schule abgeschlossen');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (3, 'Ausbildung, Arbeit');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (4, 'Schulabbruch');
INSERT INTO nbetr_verbl_tbl (id, value) VALUES (5, 'Schulverweigerung');

INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (1, 'starke Verschlechterung');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (2, 'Verschlechterung');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (3, 'keine Veränderung');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (4, 'Verbesserung');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (5, 'starke Verbesserung');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_zielsch_a_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO cm_ziel_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_ziel_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_ziel_tbl (id, value) VALUES (1, 'voll erreicht');
INSERT INTO cm_ziel_tbl (id, value) VALUES (2, 'eher erreicht');
INSERT INTO cm_ziel_tbl (id, value) VALUES (3, 'eher nicht erreicht');
INSERT INTO cm_ziel_tbl (id, value) VALUES (4, 'überhaupt nicht erreicht');

INSERT INTO cm_end_abgr_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (1, 'persönliche Gründe ');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (2, 'mangelnde Mitarbeit');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (3, 'Konflikte');
INSERT INTO cm_end_abgr_tbl (id, value) VALUES (4, 'Gruppendruck');

INSERT INTO cm_end_ab_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_end_ab_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_end_ab_tbl (id, value) VALUES (1, 'Jugendliche/r');
INSERT INTO cm_end_ab_tbl (id, value) VALUES (2, 'Case Manager/in');
INSERT INTO cm_end_ab_tbl (id, value) VALUES (3, 'Personensorgeberechtigte/r');

INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (1, 'Umzug');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (2, 'Schwangerschaft');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (3, 'Krankheit / Klinikaufenthalt / Therapie');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (4, 'Überschreitung Förderzeitraum');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (5, 'Haft/Strafvollzug');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (6, 'Alteintrag "Ausbildung, Arbeit"');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (7, 'Vermittlung: Berufsvorbereitung (BVJ/AVJ/BVB)');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (8, 'Vermittlung: Schulformwechsel / Schulwechsel');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (9, 'Vermittlung: Stationäre Unterbringung / Heim / WG');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (10, 'Schulpflichterfüllung');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (11, 'Ausbildung (duale Berufsausbildung, auch Verbundausbildung)');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (12, 'Ausbildung (schulische Berufsausbildung)');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (13, 'Ausbildung (geförderte Berufsausbildung, BaE)');
INSERT INTO cm_end_sonst_tbl (id, value) VALUES (14, 'Arbeit');

INSERT INTO nbtr_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nbtr_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nbtr_tbl (id, value) VALUES (1, 'keine Nachbetreuung geplant');
INSERT INTO nbtr_tbl (id, value) VALUES (2, 'bis zu 1 Monat');
INSERT INTO nbtr_tbl (id, value) VALUES (3, 'bis zu 3 Monate');
INSERT INTO nbtr_tbl (id, value) VALUES (4, 'bis zu 6 Monate');
INSERT INTO nbtr_tbl (id, value) VALUES (5, 'über 6 Monate');

INSERT INTO cm_end_schul_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (1, 'Grundschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (2, 'Förderschule/ Sonderschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (3, 'Hauptschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (4, 'Realschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (5, 'Gymnasium/ gymn. Oberstufe');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (6, 'Gesamtschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (7, 'verbundene Haupt- und Realschule');
INSERT INTO cm_end_schul_tbl (id, value) VALUES (8, 'Gemeinschaftsschule');

INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (1, 'völlig erreicht');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (2, 'erreicht');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (3, 'eher erreicht');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (4, 'eher nicht erreicht');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (5, 'nicht erreicht');
INSERT INTO elternarbeit_ziel_erreicht_tbl (id, value) VALUES (6, 'gar nicht erreicht');

INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (-2, 'sonstige');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (1, 'Förderung von Erziehungskompetenzen');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (2, 'Förderung der Beziehung zwischen Kind und Eltern');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (3, 'Förderung von Alltagsbewältigungskompetenz');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (4, 'Abbau von innerfamiliärer Gewalt');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (5, 'Förderung des Bezugs der Eltern zur Schule');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (6, 'Förderung der schulischen Unterstützungskompetenzen der Eltern');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (7, 'Abbau von Verschuldung');
INSERT INTO elternarbeit_thema_tbl (id, value) VALUES (8, 'Vermittlung an weitere Hilfeinstitutionen');

INSERT INTO elt_koop_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO elt_koop_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO elt_koop_tbl (id, value) VALUES (1, 'keine');
INSERT INTO elt_koop_tbl (id, value) VALUES (2, 'gering');
INSERT INTO elt_koop_tbl (id, value) VALUES (3, 'eher gering');
INSERT INTO elt_koop_tbl (id, value) VALUES (4, 'eher hoch');
INSERT INTO elt_koop_tbl (id, value) VALUES (5, 'hoch');
INSERT INTO elt_koop_tbl (id, value) VALUES (6, 'sehr hoch');

INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (-2, 'Sonstige');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (1, 'junger Mensch');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (2, 'Eltern/Sorgeberechtigte');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (3, 'Koordinierungsstelle  ');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (4, 'Lehrerin/Lehrer');
INSERT INTO vereinbarung_mit_tbl (id, value) VALUES (5, 'Jugendamt');

INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (1, 'Voll erreicht');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (2, 'Erreicht');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (3, 'Eher erreicht');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (4, 'Eher nicht erreicht');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (5, 'Nicht  erreicht');
INSERT INTO hilfsmassnahmen_erreicht_1_tbl (id, value) VALUES (6, 'Gar nicht erreicht');

INSERT INTO hilfsmassnahmen_zeit_1_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO hilfsmassnahmen_zeit_1_tbl (id, value) VALUES (1, 'kurzfristig');
INSERT INTO hilfsmassnahmen_zeit_1_tbl (id, value) VALUES (2, 'mittelfristig');
INSERT INTO hilfsmassnahmen_zeit_1_tbl (id, value) VALUES (3, 'langfristig');

INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (1, 'Keine Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (2, 'Geringe Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (3, 'Eher geringe Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (4, 'Eher hohe Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (5, 'Hohe Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (6, 'Sehr hohe Relevanz');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO zielcm_schul_a_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (-2, 'sonstiges');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (1, 'des jungen Menschen');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (2, 'der Eltern/Sorgeberechtigten');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (3, 'der Koordinierungsstelle');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (4, 'der Lehrerin/des Lehrers');
INSERT INTO probleme_aus_sicht_von_tbl (id, value) VALUES (5, 'des Jugendamtes');

INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (2008, '2008');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (2009, '2009');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (2010, '2010');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (2011, '2011');
INSERT INTO fehlzeiten_jahr_tbl (id, value) VALUES (2012, '2012');

INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (1, 'Januar');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (2, 'Februar');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (3, 'März');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (4, 'April');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (5, 'Mai');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (6, 'Juni');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (7, 'Juli');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (8, 'August');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (9, 'September');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (10, 'Oktober');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (11, 'November');
INSERT INTO fehlzeiten_monat_tbl (id, value) VALUES (12, 'Dezember');

INSERT INTO reint_ziel_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO reint_ziel_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO reint_ziel_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO reint_ziel_tbl (id, value) VALUES (1, 'in die Ursprungsklasse');
INSERT INTO reint_ziel_tbl (id, value) VALUES (2, 'In die gleiche Schule, aber andere Klasse');
INSERT INTO reint_ziel_tbl (id, value) VALUES (3, 'in eine andere Schule');
INSERT INTO reint_ziel_tbl (id, value) VALUES (4, 'Praxisklasse');

INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (1, 'Sehr gut entwickelt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (2, 'Gut entwickelt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (3, 'Eher gut entwickelt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (4, 'Eher schwach entwickelt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (5, 'Schwach entwickelt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (6, 'Sehr schwach entwickelt.');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO komp_schule_a_1_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO kf_verfahren_1_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO kf_verfahren_1_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO kf_verfahren_1_tbl (id, value) VALUES (1, 'interne Verfahrensentwicklung und Durchführung');
INSERT INTO kf_verfahren_1_tbl (id, value) VALUES (2, 'interne Durchführung eines extern entwickelten Verfahrens');
INSERT INTO kf_verfahren_1_tbl (id, value) VALUES (3, 'externe Verfahrensentwicklung und Durchführung');

INSERT INTO problfam_a_tbl (id, value) VALUES (1, 'Keine Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (2, 'Geringe Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (3, 'Eher geringe Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (4, 'Eher hohe Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (5, 'Hohe Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (6, 'Extreme Belastung');
INSERT INTO problfam_a_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO problfam_a_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO ekomp_a_tbl (id, value) VALUES (1, 'Wird in vollem Umfang gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (2, 'Wird gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (3, 'Wird eher gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (4, 'Wird eher nicht gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (5, 'Wird nicht gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (6, 'Wird überhaupt nicht gewährleistet');
INSERT INTO ekomp_a_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO ekomp_a_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO sv_aktiv_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (1, 'Kein Problem');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (2, 'Geringes Problem');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (3, 'Mäßiges Problem');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (4, 'Eher großes Problem');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (5, 'Großes Problem');
INSERT INTO sv_aktiv_tbl (id, value) VALUES (6, 'Zentrales Problem');

INSERT INTO leistung_ges_tbl (id, value) VALUES (1, 'sehr gut');
INSERT INTO leistung_ges_tbl (id, value) VALUES (2, 'gut');
INSERT INTO leistung_ges_tbl (id, value) VALUES (3, 'befriedigend');
INSERT INTO leistung_ges_tbl (id, value) VALUES (4, 'ausreichend');
INSERT INTO leistung_ges_tbl (id, value) VALUES (5, 'mangelhaft');
INSERT INTO leistung_ges_tbl (id, value) VALUES (6, 'ungenügend');
INSERT INTO leistung_ges_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO leistung_ges_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO schulform_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO schulform_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO schulform_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO schulform_tbl (id, value) VALUES (1, 'Grundschule');
INSERT INTO schulform_tbl (id, value) VALUES (2, 'Förderschule/Sonderschule');
INSERT INTO schulform_tbl (id, value) VALUES (3, 'Hauptschule');
INSERT INTO schulform_tbl (id, value) VALUES (4, 'Realschule');
INSERT INTO schulform_tbl (id, value) VALUES (5, 'Gymnasium/gymn. Oberstufe');
INSERT INTO schulform_tbl (id, value) VALUES (6, 'Gesamtschule');
INSERT INTO schulform_tbl (id, value) VALUES (7, 'verbundene Haupt- und Realschule');
INSERT INTO schulform_tbl (id, value) VALUES (8, 'Gemeinschaftsschule');

INSERT INTO zugeh_a_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO zugeh_a_tbl (id, value) VALUES (1, 'Sehr enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (2, 'Enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (3, 'Eher enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (4, 'Eher keine enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (5, 'Keine enge Zugehörigkeit');
INSERT INTO zugeh_a_tbl (id, value) VALUES (6, 'Keine Zugehörigkeit');

INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (1, 'Mutter');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (2, 'Vater');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (3, 'Großeltern');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (4, 'Geschwister');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (5, 'Pflegefamilie');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (6, 'Stiefmutter');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (7, 'Stiefvater');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (8, 'Verwandte');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (9, 'Partnerin/Partner');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (10, 'Betreuerin/Betreuer im Heim/Wohnform');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (11, 'gesetzl. bestimmte/r Betreuerin/Betreuer');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (12, 'Lehrerin/Lehrer');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (13, 'Mitbewohnerin/Mitbewohner');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (14, 'Lebensgefährte der Mutter');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (15, 'Lebensgefährtin des Vaters');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (16, 'beste Freundin/bester Freund');
INSERT INTO kontaktdaten_bezugsperson_funktion_tbl (id, value) VALUES (17, 'keine Bezugsperson');

INSERT INTO einkommen_a_tbl (id, value) VALUES (1, 'trifft zu');
INSERT INTO einkommen_a_tbl (id, value) VALUES (0, 'trifft nicht zu');
INSERT INTO einkommen_a_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO einkommen_a_tbl (id, value) VALUES (-1, 'keine Angabe');

INSERT INTO vater_beruf_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO vater_beruf_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO vater_beruf_tbl (id, value) VALUES (1, 'arbeitslos');
INSERT INTO vater_beruf_tbl (id, value) VALUES (2, 'nicht erwerbstätig/Hausmann');
INSERT INTO vater_beruf_tbl (id, value) VALUES (3, 'teilzeit beschäftigt');
INSERT INTO vater_beruf_tbl (id, value) VALUES (4, 'geringfügig beschäftigt/Aushilfe');
INSERT INTO vater_beruf_tbl (id, value) VALUES (5, 'voll beschäftigt');
INSERT INTO vater_beruf_tbl (id, value) VALUES (6, 'Rente/Pension');

INSERT INTO mutter_beruf_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (1, 'arbeitslos');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (2, 'nicht erwerbstätig/Hausfrau');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (3, 'teilzeit beschäftigt');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (4, 'geringfügig beschäftigt/Aushilfe');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (5, 'voll beschäftigt');
INSERT INTO mutter_beruf_tbl (id, value) VALUES (6, 'Rente/Pension');

INSERT INTO mutter_bildung_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (1, 'ohne Schulabschluss');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (2, 'Förderschule');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (3, 'Hauptschule (niedriger Abschluss)');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (4, 'Realschule (mittlerer Abschluss)');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (5, 'Gymnasium (höherer Abschluss)');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (6, 'abgeschlossene Ausbildung');
INSERT INTO mutter_bildung_tbl (id, value) VALUES (7, 'Fachhochschule/Universität');

INSERT INTO mutter_spra_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO mutter_spra_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO mutter_spra_tbl (id, value) VALUES (1, 'Sehr gut');
INSERT INTO mutter_spra_tbl (id, value) VALUES (2, 'Gut');
INSERT INTO mutter_spra_tbl (id, value) VALUES (3, 'Eher gut');
INSERT INTO mutter_spra_tbl (id, value) VALUES (4, 'Eher schlecht');
INSERT INTO mutter_spra_tbl (id, value) VALUES (5, 'Schlecht');
INSERT INTO mutter_spra_tbl (id, value) VALUES (6, 'Sehr schlecht');

INSERT INTO mutter_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO mutter_tbl (id, value) VALUES (1, 'bekannt');
INSERT INTO mutter_tbl (id, value) VALUES (2, 'nicht bekannt');
INSERT INTO mutter_tbl (id, value) VALUES (3, 'verstorben');

INSERT INTO psorge_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO psorge_tbl (id, value) VALUES (-2, 'Sonstige');
INSERT INTO psorge_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO psorge_tbl (id, value) VALUES (1, 'Mutter und Vater');
INSERT INTO psorge_tbl (id, value) VALUES (2, 'Mutter');
INSERT INTO psorge_tbl (id, value) VALUES (3, 'Vater');
INSERT INTO psorge_tbl (id, value) VALUES (4, 'Amtsvormund');
INSERT INTO psorge_tbl (id, value) VALUES (5, 'Andere Verwandte');
INSERT INTO psorge_tbl (id, value) VALUES (6, 'Pflegefamilie');

INSERT INTO nat_muspra_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nat_muspra_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO nat_muspra_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nat_muspra_tbl (id, value) VALUES (0, 'Afrikaans');
INSERT INTO nat_muspra_tbl (id, value) VALUES (1, 'Albanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (2, 'Amharisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (3, 'Arabisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (4, 'Aramäisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (5, 'Armenisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (6, 'Aserbaidschanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (7, 'Assami');
INSERT INTO nat_muspra_tbl (id, value) VALUES (8, 'Äthiopisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (9, 'Azeri');
INSERT INTO nat_muspra_tbl (id, value) VALUES (10, 'Baskisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (11, 'Bengali');
INSERT INTO nat_muspra_tbl (id, value) VALUES (12, 'Bulgarisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (13, 'Burmesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (14, 'Chinesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (15, 'Dänisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (16, 'Darginisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (17, 'Dari');
INSERT INTO nat_muspra_tbl (id, value) VALUES (18, 'Deutsch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (19, 'Englisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (20, 'Estnisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (21, 'Farsi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (22, 'Finnisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (23, 'Französisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (24, 'Galla');
INSERT INTO nat_muspra_tbl (id, value) VALUES (25, 'Galizisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (26, 'Ge''ez');
INSERT INTO nat_muspra_tbl (id, value) VALUES (27, 'Georgisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (28, 'Glagolitisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (29, 'Griechisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (30, 'Gujarati');
INSERT INTO nat_muspra_tbl (id, value) VALUES (31, 'Haussa');
INSERT INTO nat_muspra_tbl (id, value) VALUES (32, 'Hebräisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (33, 'Hindi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (34, 'Indonesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (35, 'Inuktitut');
INSERT INTO nat_muspra_tbl (id, value) VALUES (36, 'Irisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (37, 'Isländisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (38, 'Italienisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (39, 'Japanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (40, 'Jawi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (41, 'Jiddisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (42, 'Kabardianisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (43, 'Kanarese');
INSERT INTO nat_muspra_tbl (id, value) VALUES (44, 'Kannada');
INSERT INTO nat_muspra_tbl (id, value) VALUES (45, 'Kasachisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (46, 'Katalanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (47, 'Khmer');
INSERT INTO nat_muspra_tbl (id, value) VALUES (48, 'Kirgisisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (49, 'Koptisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (50, 'Koreanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (51, 'Krimtatarisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (52, 'Kroatisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (53, 'Kurdisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (54, 'Laotisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (55, 'Lateinisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (56, 'Lettisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (57, 'Lihijanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (58, 'Litauisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (59, 'Luxemburgisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (60, 'Makedonisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (61, 'Malayalam');
INSERT INTO nat_muspra_tbl (id, value) VALUES (62, 'Malaiisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (63, 'Maledivisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (64, 'Maori');
INSERT INTO nat_muspra_tbl (id, value) VALUES (65, 'Marathi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (66, 'Moabitisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (67, 'Moldawisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (68, 'Mongolisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (69, 'Nabatäisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (70, 'Nepalesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (71, 'Niederländisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (72, 'Norwegisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (73, 'Ossetisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (74, 'Paschto');
INSERT INTO nat_muspra_tbl (id, value) VALUES (75, 'Persisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (76, 'Polnisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (77, 'Portugiesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (78, 'Punjabi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (79, 'Rätoromanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (80, 'Rumänisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (81, 'Russisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (82, 'Safatenisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (83, 'Samoanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (84, 'Sanskrit');
INSERT INTO nat_muspra_tbl (id, value) VALUES (85, 'Schwedisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (86, 'Serbisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (87, 'Sindhi');
INSERT INTO nat_muspra_tbl (id, value) VALUES (88, 'Singhalesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (89, 'Slowakisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (90, 'Slowenisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (91, 'Spanisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (92, 'Swahili');
INSERT INTO nat_muspra_tbl (id, value) VALUES (93, 'Syrisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (94, 'Südarabisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (95, 'Tagalog');
INSERT INTO nat_muspra_tbl (id, value) VALUES (96, 'Tamil');
INSERT INTO nat_muspra_tbl (id, value) VALUES (97, 'Tamudisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (98, 'Telugu');
INSERT INTO nat_muspra_tbl (id, value) VALUES (99, 'Thailändisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (100, 'Tibetisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (101, 'Tigre');
INSERT INTO nat_muspra_tbl (id, value) VALUES (102, 'Tigrina');
INSERT INTO nat_muspra_tbl (id, value) VALUES (103, 'Tschechisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (104, 'Türkisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (105, 'Ugaritisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (106, 'Uigurisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (107, 'Ukrainisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (108, 'Ungarisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (109, 'Urdu');
INSERT INTO nat_muspra_tbl (id, value) VALUES (110, 'Usbekisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (111, 'Vietnamesisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (112, 'Walisisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (113, 'Weissrussisch');
INSERT INTO nat_muspra_tbl (id, value) VALUES (114, 'Zulu');

INSERT INTO nat_status_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nat_status_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nat_status_tbl (id, value) VALUES (1, 'Aufenthaltserlaubnis');
INSERT INTO nat_status_tbl (id, value) VALUES (2, 'Niederlassungserlaubnis');
INSERT INTO nat_status_tbl (id, value) VALUES (3, 'Aufenthaltsgestattung');
INSERT INTO nat_status_tbl (id, value) VALUES (4, 'Duldung');
INSERT INTO nat_status_tbl (id, value) VALUES (5, 'Aufenthaltserlaubnis - EG');
INSERT INTO nat_status_tbl (id, value) VALUES (6, 'Visum');
INSERT INTO nat_status_tbl (id, value) VALUES (7, 'keine Aufenthaltsgenehmigung');
INSERT INTO nat_status_tbl (id, value) VALUES (8, 'keine Relevanz');

INSERT INTO nat_staat_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nat_staat_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nat_staat_tbl (id, value) VALUES (1, 'deutsch');
INSERT INTO nat_staat_tbl (id, value) VALUES (2, 'andere');

INSERT INTO nat_land_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO nat_land_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO nat_land_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO nat_land_tbl (id, value) VALUES (0, 'Afghanistan');
INSERT INTO nat_land_tbl (id, value) VALUES (1, 'Albanien');
INSERT INTO nat_land_tbl (id, value) VALUES (2, 'Algerien');
INSERT INTO nat_land_tbl (id, value) VALUES (3, 'Andorra');
INSERT INTO nat_land_tbl (id, value) VALUES (4, 'Angola');
INSERT INTO nat_land_tbl (id, value) VALUES (5, 'Antigua und Barbuda');
INSERT INTO nat_land_tbl (id, value) VALUES (6, 'Argentinien');
INSERT INTO nat_land_tbl (id, value) VALUES (7, 'Armenien');
INSERT INTO nat_land_tbl (id, value) VALUES (8, 'Aserbaidschan');
INSERT INTO nat_land_tbl (id, value) VALUES (9, 'Australien');
INSERT INTO nat_land_tbl (id, value) VALUES (10, 'Bahamas');
INSERT INTO nat_land_tbl (id, value) VALUES (11, 'Bahrain');
INSERT INTO nat_land_tbl (id, value) VALUES (12, 'Bangladesch');
INSERT INTO nat_land_tbl (id, value) VALUES (13, 'Barbados');
INSERT INTO nat_land_tbl (id, value) VALUES (14, 'Belgien');
INSERT INTO nat_land_tbl (id, value) VALUES (15, 'Belize');
INSERT INTO nat_land_tbl (id, value) VALUES (16, 'Benin');
INSERT INTO nat_land_tbl (id, value) VALUES (17, 'Bhutan');
INSERT INTO nat_land_tbl (id, value) VALUES (18, 'Bolivien');
INSERT INTO nat_land_tbl (id, value) VALUES (19, 'Bosnien und Herzegowina');
INSERT INTO nat_land_tbl (id, value) VALUES (20, 'Botsuana');
INSERT INTO nat_land_tbl (id, value) VALUES (21, 'Brasilien');
INSERT INTO nat_land_tbl (id, value) VALUES (22, 'Brunei');
INSERT INTO nat_land_tbl (id, value) VALUES (23, 'Bulgarien');
INSERT INTO nat_land_tbl (id, value) VALUES (24, 'Burkina Faso');
INSERT INTO nat_land_tbl (id, value) VALUES (25, 'Burundi');
INSERT INTO nat_land_tbl (id, value) VALUES (26, 'Chile');
INSERT INTO nat_land_tbl (id, value) VALUES (27, 'China');
INSERT INTO nat_land_tbl (id, value) VALUES (28, 'Costa Rica');
INSERT INTO nat_land_tbl (id, value) VALUES (29, 'Deutschland');
INSERT INTO nat_land_tbl (id, value) VALUES (30, 'Dominica');
INSERT INTO nat_land_tbl (id, value) VALUES (31, 'Dominikanische Republik');
INSERT INTO nat_land_tbl (id, value) VALUES (32, 'Dschibuti');
INSERT INTO nat_land_tbl (id, value) VALUES (33, 'Dänemark');
INSERT INTO nat_land_tbl (id, value) VALUES (34, 'Ecuador');
INSERT INTO nat_land_tbl (id, value) VALUES (35, 'El Salvador');
INSERT INTO nat_land_tbl (id, value) VALUES (36, 'Elfenbeinküste');
INSERT INTO nat_land_tbl (id, value) VALUES (37, 'Eritrea');
INSERT INTO nat_land_tbl (id, value) VALUES (38, 'Estland');
INSERT INTO nat_land_tbl (id, value) VALUES (39, 'Fidschi');
INSERT INTO nat_land_tbl (id, value) VALUES (40, 'Finnland');
INSERT INTO nat_land_tbl (id, value) VALUES (41, 'Frankreich');
INSERT INTO nat_land_tbl (id, value) VALUES (42, 'Gabun');
INSERT INTO nat_land_tbl (id, value) VALUES (43, 'Gambia');
INSERT INTO nat_land_tbl (id, value) VALUES (44, 'Georgien');
INSERT INTO nat_land_tbl (id, value) VALUES (45, 'Ghana');
INSERT INTO nat_land_tbl (id, value) VALUES (46, 'Grenada');
INSERT INTO nat_land_tbl (id, value) VALUES (47, 'Griechenland');
INSERT INTO nat_land_tbl (id, value) VALUES (48, 'Großbritannien');
INSERT INTO nat_land_tbl (id, value) VALUES (49, 'Guatemala');
INSERT INTO nat_land_tbl (id, value) VALUES (50, 'Guinea');
INSERT INTO nat_land_tbl (id, value) VALUES (51, 'Guinea-Bissau');
INSERT INTO nat_land_tbl (id, value) VALUES (52, 'Guyana');
INSERT INTO nat_land_tbl (id, value) VALUES (53, 'Haiti');
INSERT INTO nat_land_tbl (id, value) VALUES (54, 'Honduras');
INSERT INTO nat_land_tbl (id, value) VALUES (55, 'Indien');
INSERT INTO nat_land_tbl (id, value) VALUES (56, 'Indonesien');
INSERT INTO nat_land_tbl (id, value) VALUES (57, 'Irak');
INSERT INTO nat_land_tbl (id, value) VALUES (58, 'Iran');
INSERT INTO nat_land_tbl (id, value) VALUES (59, 'Irland');
INSERT INTO nat_land_tbl (id, value) VALUES (60, 'Island');
INSERT INTO nat_land_tbl (id, value) VALUES (61, 'Israel');
INSERT INTO nat_land_tbl (id, value) VALUES (62, 'Italien');
INSERT INTO nat_land_tbl (id, value) VALUES (63, 'Jamaika');
INSERT INTO nat_land_tbl (id, value) VALUES (64, 'Japan');
INSERT INTO nat_land_tbl (id, value) VALUES (65, 'Jemen');
INSERT INTO nat_land_tbl (id, value) VALUES (66, 'Jordanien');
INSERT INTO nat_land_tbl (id, value) VALUES (67, 'Kambodscha');
INSERT INTO nat_land_tbl (id, value) VALUES (68, 'Kamerun');
INSERT INTO nat_land_tbl (id, value) VALUES (69, 'Kanada');
INSERT INTO nat_land_tbl (id, value) VALUES (70, 'Kap Verde');
INSERT INTO nat_land_tbl (id, value) VALUES (71, 'Kasachstan');
INSERT INTO nat_land_tbl (id, value) VALUES (72, 'Katar');
INSERT INTO nat_land_tbl (id, value) VALUES (73, 'Kenia');
INSERT INTO nat_land_tbl (id, value) VALUES (74, 'Kirgisistan');
INSERT INTO nat_land_tbl (id, value) VALUES (75, 'Kiribati');
INSERT INTO nat_land_tbl (id, value) VALUES (76, 'Kolumbien');
INSERT INTO nat_land_tbl (id, value) VALUES (77, 'Komoren');
INSERT INTO nat_land_tbl (id, value) VALUES (78, 'Kongo, Demokratische Republik');
INSERT INTO nat_land_tbl (id, value) VALUES (79, 'Kongo, Republik');
INSERT INTO nat_land_tbl (id, value) VALUES (80, 'Korea, Demokratische Volksrepublik');
INSERT INTO nat_land_tbl (id, value) VALUES (81, 'Korea, Republik');
INSERT INTO nat_land_tbl (id, value) VALUES (82, 'Kroatien');
INSERT INTO nat_land_tbl (id, value) VALUES (83, 'Kuba');
INSERT INTO nat_land_tbl (id, value) VALUES (84, 'Kuwait');
INSERT INTO nat_land_tbl (id, value) VALUES (85, 'Laos');
INSERT INTO nat_land_tbl (id, value) VALUES (86, 'Lesotho');
INSERT INTO nat_land_tbl (id, value) VALUES (87, 'Lettland');
INSERT INTO nat_land_tbl (id, value) VALUES (88, 'Libanon');
INSERT INTO nat_land_tbl (id, value) VALUES (89, 'Liberia');
INSERT INTO nat_land_tbl (id, value) VALUES (90, 'Libyen');
INSERT INTO nat_land_tbl (id, value) VALUES (91, 'Liechtenstein');
INSERT INTO nat_land_tbl (id, value) VALUES (92, 'Litauen');
INSERT INTO nat_land_tbl (id, value) VALUES (93, 'Luxemburg');
INSERT INTO nat_land_tbl (id, value) VALUES (94, 'Madagaskar');
INSERT INTO nat_land_tbl (id, value) VALUES (95, 'Malawi');
INSERT INTO nat_land_tbl (id, value) VALUES (96, 'Malaysia');
INSERT INTO nat_land_tbl (id, value) VALUES (97, 'Malediven');
INSERT INTO nat_land_tbl (id, value) VALUES (98, 'Mali');
INSERT INTO nat_land_tbl (id, value) VALUES (99, 'Malta');
INSERT INTO nat_land_tbl (id, value) VALUES (100, 'Marokko');
INSERT INTO nat_land_tbl (id, value) VALUES (101, 'Marshallinseln');
INSERT INTO nat_land_tbl (id, value) VALUES (102, 'Mauretanien');
INSERT INTO nat_land_tbl (id, value) VALUES (103, 'Mauritius');
INSERT INTO nat_land_tbl (id, value) VALUES (104, 'Mazedonien');
INSERT INTO nat_land_tbl (id, value) VALUES (105, 'Mexiko');
INSERT INTO nat_land_tbl (id, value) VALUES (106, 'Mikronesien');
INSERT INTO nat_land_tbl (id, value) VALUES (107, 'Moldawien');
INSERT INTO nat_land_tbl (id, value) VALUES (108, 'Monaco');
INSERT INTO nat_land_tbl (id, value) VALUES (109, 'Mongolei');
INSERT INTO nat_land_tbl (id, value) VALUES (110, 'Montenegro');
INSERT INTO nat_land_tbl (id, value) VALUES (111, 'Mosambik');
INSERT INTO nat_land_tbl (id, value) VALUES (112, 'Myanmar');
INSERT INTO nat_land_tbl (id, value) VALUES (113, 'Namibia');
INSERT INTO nat_land_tbl (id, value) VALUES (114, 'Nauru');
INSERT INTO nat_land_tbl (id, value) VALUES (115, 'Nepal');
INSERT INTO nat_land_tbl (id, value) VALUES (116, 'Neuseeland');
INSERT INTO nat_land_tbl (id, value) VALUES (117, 'Nicaragua');
INSERT INTO nat_land_tbl (id, value) VALUES (118, 'Niederlande');
INSERT INTO nat_land_tbl (id, value) VALUES (119, 'Niger');
INSERT INTO nat_land_tbl (id, value) VALUES (120, 'Nigeria');
INSERT INTO nat_land_tbl (id, value) VALUES (121, 'Norwegen');
INSERT INTO nat_land_tbl (id, value) VALUES (122, 'Oman');
INSERT INTO nat_land_tbl (id, value) VALUES (123, 'Osttimor');
INSERT INTO nat_land_tbl (id, value) VALUES (124, 'Pakistan');
INSERT INTO nat_land_tbl (id, value) VALUES (125, 'Palau');
INSERT INTO nat_land_tbl (id, value) VALUES (126, 'Panama');
INSERT INTO nat_land_tbl (id, value) VALUES (127, 'Papua-Neuguinea');
INSERT INTO nat_land_tbl (id, value) VALUES (128, 'Paraguay');
INSERT INTO nat_land_tbl (id, value) VALUES (129, 'Peru');
INSERT INTO nat_land_tbl (id, value) VALUES (130, 'Philippinen');
INSERT INTO nat_land_tbl (id, value) VALUES (131, 'Polen');
INSERT INTO nat_land_tbl (id, value) VALUES (132, 'Portugal');
INSERT INTO nat_land_tbl (id, value) VALUES (133, 'Ruanda');
INSERT INTO nat_land_tbl (id, value) VALUES (134, 'Rumänien');
INSERT INTO nat_land_tbl (id, value) VALUES (135, 'Russland');
INSERT INTO nat_land_tbl (id, value) VALUES (136, 'Salomonen');
INSERT INTO nat_land_tbl (id, value) VALUES (137, 'Sambia');
INSERT INTO nat_land_tbl (id, value) VALUES (138, 'Samoa');
INSERT INTO nat_land_tbl (id, value) VALUES (139, 'San Marino');
INSERT INTO nat_land_tbl (id, value) VALUES (140, 'Saudi-Arabien');
INSERT INTO nat_land_tbl (id, value) VALUES (141, 'Schweden');
INSERT INTO nat_land_tbl (id, value) VALUES (142, 'Schweiz');
INSERT INTO nat_land_tbl (id, value) VALUES (143, 'Senegal');
INSERT INTO nat_land_tbl (id, value) VALUES (144, 'Serbien');
INSERT INTO nat_land_tbl (id, value) VALUES (145, 'Seychellen');
INSERT INTO nat_land_tbl (id, value) VALUES (146, 'Sierra Leone');
INSERT INTO nat_land_tbl (id, value) VALUES (147, 'Simbabwe');
INSERT INTO nat_land_tbl (id, value) VALUES (148, 'Singapur');
INSERT INTO nat_land_tbl (id, value) VALUES (149, 'Slowakei');
INSERT INTO nat_land_tbl (id, value) VALUES (150, 'Slowenien');
INSERT INTO nat_land_tbl (id, value) VALUES (151, 'Somalia');
INSERT INTO nat_land_tbl (id, value) VALUES (152, 'Spanien');
INSERT INTO nat_land_tbl (id, value) VALUES (153, 'Sri Lanka');
INSERT INTO nat_land_tbl (id, value) VALUES (154, 'St. Kitts und Nevis');
INSERT INTO nat_land_tbl (id, value) VALUES (155, 'St. Lucia');
INSERT INTO nat_land_tbl (id, value) VALUES (156, 'St. Vincent und die Grenadinen');
INSERT INTO nat_land_tbl (id, value) VALUES (157, 'Sudan');
INSERT INTO nat_land_tbl (id, value) VALUES (158, 'Suriname');
INSERT INTO nat_land_tbl (id, value) VALUES (159, 'Swasiland');
INSERT INTO nat_land_tbl (id, value) VALUES (160, 'Syrien');
INSERT INTO nat_land_tbl (id, value) VALUES (161, 'São Tomé und Príncipe');
INSERT INTO nat_land_tbl (id, value) VALUES (162, 'Südafrika');
INSERT INTO nat_land_tbl (id, value) VALUES (163, 'Tadschikistan');
INSERT INTO nat_land_tbl (id, value) VALUES (164, 'Tansania');
INSERT INTO nat_land_tbl (id, value) VALUES (165, 'Thailand');
INSERT INTO nat_land_tbl (id, value) VALUES (166, 'Togo');
INSERT INTO nat_land_tbl (id, value) VALUES (167, 'Tonga');
INSERT INTO nat_land_tbl (id, value) VALUES (168, 'Trinidad und Tobago');
INSERT INTO nat_land_tbl (id, value) VALUES (169, 'Tschad');
INSERT INTO nat_land_tbl (id, value) VALUES (170, 'Tschechien');
INSERT INTO nat_land_tbl (id, value) VALUES (171, 'Tunesien');
INSERT INTO nat_land_tbl (id, value) VALUES (172, 'Turkmenistan');
INSERT INTO nat_land_tbl (id, value) VALUES (173, 'Tuvalu');
INSERT INTO nat_land_tbl (id, value) VALUES (174, 'Türkei');
INSERT INTO nat_land_tbl (id, value) VALUES (175, 'Uganda');
INSERT INTO nat_land_tbl (id, value) VALUES (176, 'Ukraine');
INSERT INTO nat_land_tbl (id, value) VALUES (177, 'Ungarn');
INSERT INTO nat_land_tbl (id, value) VALUES (178, 'Uruguay');
INSERT INTO nat_land_tbl (id, value) VALUES (179, 'Usbekistan');
INSERT INTO nat_land_tbl (id, value) VALUES (180, 'Vanuatu');
INSERT INTO nat_land_tbl (id, value) VALUES (181, 'Vatikanstadt');
INSERT INTO nat_land_tbl (id, value) VALUES (182, 'Venezuela');
INSERT INTO nat_land_tbl (id, value) VALUES (183, 'Vereinigte Arabische Emirate');
INSERT INTO nat_land_tbl (id, value) VALUES (184, 'Vereinigte Staaten von Amerika');
INSERT INTO nat_land_tbl (id, value) VALUES (185, 'Vietnam');
INSERT INTO nat_land_tbl (id, value) VALUES (186, 'Weißrussland');
INSERT INTO nat_land_tbl (id, value) VALUES (187, 'Zentralafrikanische Republik');
INSERT INTO nat_land_tbl (id, value) VALUES (188, 'Zypern');
INSERT INTO nat_land_tbl (id, value) VALUES (189, 'Ägypten');
INSERT INTO nat_land_tbl (id, value) VALUES (190, 'Äquatorialguinea');
INSERT INTO nat_land_tbl (id, value) VALUES (191, 'Äthiopien');
INSERT INTO nat_land_tbl (id, value) VALUES (192, 'Österreich');

INSERT INTO kinder_allein_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO kinder_allein_tbl (id, value) VALUES (0, 'nein');
INSERT INTO kinder_allein_tbl (id, value) VALUES (1, 'ja');

INSERT INTO wohnauf_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO wohnauf_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO wohnauf_tbl (id, value) VALUES (1, 'beide leibliche Eltern');
INSERT INTO wohnauf_tbl (id, value) VALUES (2, 'alleinerziehende Mutter');
INSERT INTO wohnauf_tbl (id, value) VALUES (3, 'alleinerziehender Vater');
INSERT INTO wohnauf_tbl (id, value) VALUES (4, 'leibliche Mutter mit Partner');
INSERT INTO wohnauf_tbl (id, value) VALUES (5, 'leiblicher Vater mit Partnerin');
INSERT INTO wohnauf_tbl (id, value) VALUES (6, 'Großeltern');
INSERT INTO wohnauf_tbl (id, value) VALUES (7, 'Verwandte');
INSERT INTO wohnauf_tbl (id, value) VALUES (8, 'Pflegefamilie');
INSERT INTO wohnauf_tbl (id, value) VALUES (9, 'Heim/betreute Wohnform');
INSERT INTO wohnauf_tbl (id, value) VALUES (11, 'obdachlos/auf der Straße');
INSERT INTO wohnauf_tbl (id, value) VALUES (12, 'bei Freunden/Bekannten');

INSERT INTO wohnort_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO wohnort_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO wohnort_tbl (id, value) VALUES (1, 'Großstadt (>100.000 EW)');
INSERT INTO wohnort_tbl (id, value) VALUES (2, 'Mittelstadt (20.000 - 100.000 EW)');
INSERT INTO wohnort_tbl (id, value) VALUES (3, 'Kleinstadt (< 20.000 EW)');
INSERT INTO wohnort_tbl (id, value) VALUES (4, 'ländliche Region');

INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (1, 'ist bereit, an der Befragung teilzunehmen, stimmt aber nicht zu, dass Angaben der Fallakten personenbezogen mit ausgewertet werden');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (2, 'ist bereit an der Befragung teilzunehmen und Angaben der Fallakten können von der Evaluation personenbezogen mit ausgewertet werden (Einwilligungserklärung liegt schriftlich vor)');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (3, 'möchte nicht an der Evaluation teilnehmen');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (4, 'hat keine Angabe gegeben');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (-1, 'Einwilligung wurde nicht erfragt');
INSERT INTO teilnahme_evaluation_tbl (id, value) VALUES (5, 'hat seine Einwilligung widerrufen');

INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (0, 'Weitere Institution');
INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (1, 'Schule');
INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (2, 'Bezugslehrer/Bezugslehrerin');
INSERT INTO ansprechpartner_typ_tbl (id, value) VALUES (3, 'Jugendamt');

INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (1, 'Umzug');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (2, 'Schwangerschaft');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (3, 'Krankheit');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (4, 'Überschreitung Förderzeitraum');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (5, 'Haft/Strafvollzug');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (6, 'Alteintrag "Ausbildung, Arbeit"');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (7, 'Vermittlung: Berufsvorbereitung (BVJ/AVJ/BVB)');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (8, 'Vermittlung: Schulformwechsel / Schulwechsel');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (9, 'Vermittlung: Stationäre Unterbringung / Heim / WG');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (10, 'Schulpflichterfüllung');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (11, 'Ausbildung (duale Berufsausbildung, auch Verbundausbildung)');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (12, 'Ausbildung (schulische Berufsausbildung)');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (13, 'Ausbildung (geförderte Berufsausbildung, BaE)');
INSERT INTO cm_dok_end_sonst_tbl (id, value) VALUES (14, 'Arbeit');

INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (1, 'Ursprungsklasse');
INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (2, 'gleiche Schule, neue Klasse');
INSERT INTO cm_dok_end_verm_tbl (id, value) VALUES (3, 'andere Schule');

INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (1, 'erfolgreiche Reintegration in die Schule');
INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (2, 'sonstige Beendigung ');
INSERT INTO cm_dok_end_art_tbl (id, value) VALUES (3, 'Abbruch');

INSERT INTO cm2c_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO cm2c_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO cm2c_tbl (id, value) VALUES (0, 'nein');
INSERT INTO cm2c_tbl (id, value) VALUES (1, 'ja');

INSERT INTO zugang_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO zugang_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO zugang_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO zugang_tbl (id, value) VALUES (1, 'Eigenständiger Zugang des Jugendlichen');
INSERT INTO zugang_tbl (id, value) VALUES (2, 'Familie/Eltern');
INSERT INTO zugang_tbl (id, value) VALUES (3, 'Schule');
INSERT INTO zugang_tbl (id, value) VALUES (4, 'Lehrer/in');
INSERT INTO zugang_tbl (id, value) VALUES (5, 'Schulsozialarbeit');
INSERT INTO zugang_tbl (id, value) VALUES (6, 'Aufsuchende Arbeit durch Kooperation mit Streetwork/mobiler Jugendarbeit');
INSERT INTO zugang_tbl (id, value) VALUES (7, 'Jugendamt');
INSERT INTO zugang_tbl (id, value) VALUES (8, 'Jugendhilfeeinrichtung');
INSERT INTO zugang_tbl (id, value) VALUES (9, 'Beratungsstelle');
INSERT INTO zugang_tbl (id, value) VALUES (10, 'SGB II - Träger');
INSERT INTO zugang_tbl (id, value) VALUES (11, 'Verwandte');
INSERT INTO zugang_tbl (id, value) VALUES (12, 'Soziales Umfeld (Freunde, Bekannte)');
INSERT INTO zugang_tbl (id, value) VALUES (13, 'Programm "Kompetenzagentur"');
INSERT INTO zugang_tbl (id, value) VALUES (14, 'Programm "Jugendmigrationsdienste (JMD)"');
INSERT INTO zugang_tbl (id, value) VALUES (15, 'Andere Koordinierungsstelle "2. Chance"');
INSERT INTO zugang_tbl (id, value) VALUES (16, 'Programm "Stärken vor Ort"');
INSERT INTO zugang_tbl (id, value) VALUES (17, 'Jugendgerichtshilfe, Bewährungshilfe');
INSERT INTO zugang_tbl (id, value) VALUES (18, 'Streetwork/mobile Jugendarbeit durch aufnehmende Koordinierungsstelle');

INSERT INTO geschlecht_tbl (id, value) VALUES (-3, 'unbekannt');
INSERT INTO geschlecht_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO geschlecht_tbl (id, value) VALUES (0, 'männlich');
INSERT INTO geschlecht_tbl (id, value) VALUES (1, 'weiblich');

INSERT INTO phase_tbl (id, value) VALUES (-1, 'Keine Angabe');
INSERT INTO phase_tbl (id, value) VALUES (0, 'Eingangsdokumentation läuft');
INSERT INTO phase_tbl (id, value) VALUES (1, 'Eingangsdokumentation beendet');
INSERT INTO phase_tbl (id, value) VALUES (2, 'Case-Management läuft');
INSERT INTO phase_tbl (id, value) VALUES (3, 'Case-Management beendet');
INSERT INTO phase_tbl (id, value) VALUES (4, 'Nachbetreuung läuft');
INSERT INTO phase_tbl (id, value) VALUES (5, 'Nachbetreuung beendet');
INSERT INTO phase_tbl (id, value) VALUES (6, 'Beratung läuft');
INSERT INTO phase_tbl (id, value) VALUES (7, 'Beratung beendet');

INSERT INTO einwilligung_tbl (id, value) VALUES (-1, 'liegt noch nicht vor/unklar');
INSERT INTO einwilligung_tbl (id, value) VALUES (0, 'liegt nicht vor');
INSERT INTO einwilligung_tbl (id, value) VALUES (1, 'liegt vor');
-- -- --
-- -- --
-- -- -- END Autogenerated INSERT part of sql statements
-- -- -- 

COMMIT;
