# -*- coding: utf-8 -*-

from string import Template
from cgi import escape

import mpulsweb.lib.helper.filters as F

from mpulsweb.model.statement import Statement
from waskoweb.model.agencysettings import Agency

class DiscretionStatement(Statement):
    def fillout(self):
        self.agency = Agency()
        s = {
            'VORNAME': escape(F.NA(self.case.first_name)),
            'NACHNAME': escape(F.NA(self.case.last_name)),
            'PLZ': escape(F.NA(self.case.plz)),
            'STRASSE': escape(F.NA(self.case.street)),
            'STRASSENR': escape(F.NA(self.case.streetnr)),
            'ORT': escape(F.NA(self.case.city)),
            'KA_NAME': escape(F.NA(self.agency.getName())),
            'KA_ADRESSE': escape(F.NA(self.agency.getAddress())),
            'KA_SPEICHERDAUER': escape(F.NA(self.agency.getMaxSavetime()))
            }
        return Template(self.agency.getDiscretionStatement()).safe_substitute(s)

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8: