## -*- coding: utf-8 -*-
<%inherit file="digest.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>

<%def name="renderCaseInfo(case)">
  <h2>${_('cm_header_digest_youth')}</h2>
  <table>
    % for num, field in enumerate(c.case.get_digest_fields()):
      % if field.name in ['name', 'vorname', 'geburtsdatum', 'fn', 'addresse_strasse_1', 'addresse_strassenr_1', 'addresse_plz_1', 'addresse_ort_1', 'addresse1_vorwahl_1', 'addresse1_telefonnummer_1', 'addresse2_vorwahl_1', 'addresse2_telefonnummer_2', 'addresse_email_1', 'addresse_weiteretelefonnummern_1']:
        <tr class="${num % 2 and 'hl' or ''}">
          <td class="label">${c.case.get_description(field.name)}</td>
          <td>${h.convertForDigest(c.case.get_value(field.name))| F.NA}
            % if field.name == 'geburtsdatum' and c.case.first_meeting and c.case.get_value(field.name):
            (${_('Age on first contact: %s years') %h.get_age(c.case.first_meeting - c.case.get_value(field.name)) | F.NA})
            % endif
          </td>
        </tr>
      %endif 
    % endfor
  </table>
  <h2>${_('Angaben zum Erziehungsberechtigten')}</h2>
  <h3>${_('Angaben zur Mutter')}</h3>
  <table>
    % for num, field in enumerate(c.case.get_digest_fields()):
      % if field.name in ['mutter_n', 'mutter_vn', 'mutter_vorwahl1_1', 'mutter_telefonnummer1_1',  'mutter_vorwahl2_1', 'mutter_telefonnummer2_1', 'mutter_email_1']:
        <tr class="${num % 2 and 'hl' or ''}">
          <td class="label">${c.case.get_description(field.name)}</td>
        <td>${c.case.get_value(field.name)| F.NA}</td>
        </tr>
      %endif 
    % endfor
  </table>
  <h3>${_('Angaben zum Vater')}</h3>
  <table>
    % for num, field in enumerate(c.case.get_digest_fields()):
      % if field.name in ['vater_n', 'vater_vn', 'vater_vorwahl1_1', 'vater_telefonnummer1_1',  'vater_vorwahl2_1', 'vater_telefonnummer2_1', 'vater_email_1']:
        <tr class="${num % 2 and 'hl' or ''}">
          <td class="label">${c.case.get_description(field.name)}</td>
        <td>${c.case.get_value(field.name)| F.NA}</td>
        </tr>
      %endif 
    % endfor
  </table>
</%def>

<%def name="renderCustomCaseStateInfo(case)">
  <%
    mapping_1 = c.case.get_formed_item('cm_end_art').getMeta().getValueMapping()
    mapping_2 = c.case.get_formed_item('cm_end_verm').getMeta().getValueMapping()
  %>
  % if case.getState().isCmFinished():
    <tr class="">
      <td class="label">Art Beendigung</td>
      <td>${mapping_1.get(c.case.get_value('cm_end_art'))}</td>
    </tr>
    <tr class="hl">
      <td class="label">${c.case.get_description('cm_end_verm')}</td>
      <td>${mapping_2.get(c.case.get_value('cm_end_verm'))}</td>
    </tr>
  % endif
</%def>

${self.renderMaxSavetimeInfo(c.case)}
${self.renderCaseStateInfo(c.case)}
${self.renderCaseInfo(c.case)}
