## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!
   import mpulsweb.lib.helper.filters as F
   from mpulsweb.lib.navigation import render_navigation
%>
${next.body()}

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='case')}"
         onclick="return checkModification();">${_('cm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='case_overview', action='overview')}" 
         onclick="return checkModification();">${_('cm_np_overview')}</a></li>
</%def>
<%def name="buildModusfield()">
</%def>

<%def name="buildInfofield()">
  <% case = session.get('case') %>
  <div id="infofield">
    % for f in g.case.get_infofield_fields():
      <strong>${f.info_label}:</strong>
      ${h.shorten(case.get_value(f.alias), 15)  | F.NA}
      <br>
    % endfor
    <strong>${_('cm_info_phase')}:</strong> ${ h.literal(case.getState().getPhaseDescription()) | F.NA}<br>
    <strong>${_('cm_info_status')}:</strong>
       ${case.getState().getStateLabel()  | F.NA}<br>
  </div>
</%def>

<%def name="buildPrivacyfield()">
  % if g.mpuls_config.is_enabled('case-module', 'privacy'):
    <div class="menu">
    <h1>${_('cm_main_header_data_protection')}</h1>
    <ul class="mainMenu" id="mainMenuPrivacy"> <!--ID only because of IE6 -->
        <li>${_('Options')}
            <ul>
                % if session.get('case').getState().getState() not in (3,4,5):
                  % if not session.get('case').hasPrivacyStatement():
                      <li>
                      <a href="${h.url_for(controller='privacy', action='set',
                                           id=session.get('case').id)}"
                         onclick="return checkModification();">${_('cm_main_set_statement')}
                      </a>
                      </li>
                  % elif session.get('case').hasPrivacyStatement():
                      <li>
                      <a href="${h.url_for(controller='privacy',
                                           action='decline', 
                                           id=session.get('case').id,
                                           confirmed=0)}" 
                         onclick="return checkModification();">${_('cm_main_revoke_statement')}
                      </a>
                      </li>
                  % endif
                  <li>
                  <a href="${h.url_for(controller='case',
                                       action='markForAnonymize', 
                                       id=session.get('case').id,
                                       confirmed=0)}" 
                      onclick="return checkModification();">${_('cm_main_anonymize_case')}
                  </a>
                  </li>
                % endif
                <li>
                <a href="${h.url_for(controller='privacy',
                                     action='listStatements')}" 
                   onclick="return checkModification();"> ${_('statement_list_statement')}
                </a>
                </li>
            </ul>
        </li>
    </ul>
    </div>
  % endif
</%def>

<%def name="buildNavigation()">
  <div class="menu">
    <h1>${_('cm_menu_header_cases')}</h1>
    <div class="actions">
    % if h.hasRole(['cm_ka', 'admin_ka']):
      ${self.buildInfofield()}
      <ul>
        <li>
            <a href="${h.url_for(controller='/case_overview')}"
            onclick="return checkModification();">${_('cm_menu_link_backtooverview')}</a>
        </li>
        <li>
            <a href="${h.url_for(controller='case', action='digest',
                                 id=session.get('case').id)}" 
               onclick="return checkModification();">
                ${_('cm_menu_link_digest')}
            </a>
        </li>
        <li>
            <a href="${h.url_for(controller='phase', action='overview',
                                 id=session.get('case').id)}"
               onclick="return checkModification();">${_('case_cm_phase')}</a>
        </li>
        % if session.get('case').getState().getState() == 1:
        <li>
            <a href="${h.url_for(controller='caselifetime', action='index',
                                 id=session.get('case').id)}"
               onclick="return checkModification();">Verwaltung</a>
        </li>
        % endif
        % if h.hasRole(['cm_ka']) and g.mpuls_config.is_enabled('case-module', 'logbook'):
            <li>
                <a href="${h.url_for(controller='logbook',
                                     action='index',
                                     id=session.get('case').id)}" 
                    onclick="return checkModification();">
                    Tagebuch
                </a>
            </li>
        % endif
      </ul>
    % endif
     </div>
    <ul class="mainMenu" id="mainMenuCase"> <!--ID only because of IE6 -->
        <li>${_('More options')}
            <ul>
            % if h.hasRole(['cm_ka', 'admin_ka']):
                % if g.mpuls_config.is_enabled('case-module', 'organisation'):
                <li>
                    <a href="${h.url_for(controller='case', 
                                         action='organisation', 
                                         id=session.get('case').id)}" 
                    onclick="return checkModification();">
                        ${_('cm_menu_link_organisation')}
                    </a>
                </li>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'tags'):
                <li>
                    <a href="${h.url_for(controller='tags',
                                         action='overview',
                                         id=session.get('case').id)}" 
                       onclick="return checkModification();">
                        ${_('Tags')}
                    </a>
                </li>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'appointments'):
                    <li>
                        <a href="${h.url_for(controller='caseappointment',
                                             action='index',
                                             id=session.get('case').id)}" 
                           onclick="return checkModification();">
                            ${_('cm_menu_link_appointment')}
                        </a>
                    </li>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'appointments') and session.get('case').getState().getState() == 1:
                <li>
                    <a href="${h.url_for(controller='caseappointment',
                                         action='newReminder',
                                         id=session.get('case').id)}"
                       onclick="return checkModification();"> ${_('cm_menu_link_create_reminder')}</a>
                </li>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'documents'):
                    <li>
                        <a href="${h.url_for(controller='casedocument',
                                             action='index',
                                             id=session.get('case').id)}" 
                           onclick="return checkModification();">
                            ${_('cm_menu_link_documents')}
                        </a>
                    </li>
                % endif
                % if g.mpuls_config.is_enabled('case-module', 'copy') and session.get('case').getState().getState() == 1:
                <li>
                    <a href="${h.url_for(controller='case', action='copy', 
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification();"
                    target="_blank">${_('Copy case')}</a>
                </li>
                % endif
                <li>
                    <a href="${h.url_for(controller='case', action='printAll', 
                                         id=session.get('case').id,
                                         confirmed=0)}"
                    onclick="return checkModification();"
                    target="_blank">${_('cm_menu_link_print')}</a>
                </li>
            % endif
            </ul>
        </li>
      </ul>
  </div>
  
  <!--<div class="menu">
    <h1>${_('cm_menu_header_seperator')}</h1>
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url_for(controller='case', action='digest', id=session.get('case').id)}" 
             onclick="return checkModification();">
              ${_('cm_menu_link_digest')}
          </a>
        </li>
        % if h.hasRole(['cm_ka', 'admin_ka']):
          <li>
            <a href="${h.url_for(controller='phase', action='overview', id=session.get('case').id)}"
               onclick="return checkModification();">
                ${_('case_cm_phase')}
            </a>
          </li>
          <li>
            <a href="${h.url_for(controller='case', action='organisation', id=session.get('case').id)}" 
               onclick="return checkModification();">
                ${_('cm_menu_link_organisation')}
            </a>
          </li>
          % if g.mpuls_config.is_enabled('case-module', 'appointments'):
            <li>
              <a href="${h.url_for(controller='caseappointment', action='index', id=session.get('case').id)}" 
                 onclick="return checkModification();">
                  ${_('cm_menu_link_appointment')}
              </a>
            </li>
          % endif
          % if h.hasRole(['cm_ka']) and g.mpuls_config.is_enabled('case-module', 'logbook'):
            <li>
              <a href="${h.url_for(controller='logbook', action='index', id=session.get('case').id)}" 
                 onclick="return checkModification();">
                  Tagebuch
              </a>
            </li>
          % endif
          % if g.mpuls_config.is_enabled('case-module', 'documents'):
            <li>
              <a href="${h.url_for(controller='casedocument', action='index', id=session.get('case').id)}" 
                 onclick="return checkModification();">
                 ${_('cm_menu_link_documents')}
              </a>
            </li>
          % endif
        % endif
      </ul>
    </div>
  </div>-->
  <div class="menu">
    <h1>${_('cm_menu_header_structure')}</h1>
    ${h.literal(render_navigation())}
  </div>
</%def>


<%def name="buildUeberschrift()">
</%def>
