## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case')}">${_('cm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='/case', action='new2')}">${_('cm_np_new')}</a></li>
</%def>

<div class="waska_form">
  <form id="waska_form" 
        action="${h.url_for(controller='/case', action='newAction')}" 
        accept-charset="UTF-8"
        name="waska_form" method="POST">
    <h1>Neue Fallakte anlegen</h1>
    <fieldset>
      <legend>Basisdaten</legend>
      <table>
        <tr>
          <td class="label">
            <label for="name">Name:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="name" id="name" value="${c.case.last_name or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="vorname">Vorname:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="vorname" id="vorname"
                   value="${c.case.first_name or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="street">Strasse:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_strasse_1" id="street"
                   value="${c.case.street or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="streetnr">Strasse Nr.:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_strassenr_1" id="streetnr"
                   value="${c.case.streetnr or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="plz">PLZ:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_plz_1" id="plz"
                   value="${c.case.plz or ""}">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="city">Ort:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="addresse_ort_1" id="city"
                   value="${c.case.city or ""}">
          </td>
        </tr>
    </table>
    </fieldset>
    <fieldset>
    <legend>Art der Aufnahme</legend>
      <input type="radio" name="aufnahme_typ" value="0" id="type_aufnahme_1" checked="checked">
      <label for="type_aufnahme_1">Erstaufnahme</label><br>
      <input type="radio" name="aufnahme_typ" value="1" id="type_aufnahme_2">
      <label for="type_aufnahme_2">Wiederaufnahme nach erfolgreicher Reintegration</label>
      <a target="_blank" href="/annotations/help/wiederaufnahme">
        <img alt="Hilfesymbol" src="/images/icons/form_help.png" border="0">
      </a><br>
      <input type="radio" name="aufnahme_typ" value="2" id="type_aufnahme_3">
      <label for="type_aufnahme_3">Neuaufnahme nach sonstiger Beendigung</label> 
      <a target="_blank" href="/annotations/help/neuaufnahme">
        <img alt="Hilfesymbol" src="/images/icons/form_help.png" border="0">
      </a>
    </fieldset>
    <div style="padding: 1em 0;">
      <p>${_('cm_new_p_please_consider_statement')}</p>
    </div>
    <div class="waska_form_element w100">
      Als PDF-Version verfügbare Einwilligunserklärungen zum
      handschriftlichen Ausfüllen:
      <table>
        <tr>
          <td class="table_row_h">
            Arabisch <a href="/documents/ee_ar.pdf">download</a>
          </td>
          <td class="table_row_h">
            Englisch <a href="/documents/ee_en.pdf">download</a>
          </td>
        </tr>
        <tr>
          <td>Polnisch <a href="/documents/ee_pl.pdf">download</a></td>
          <td>Russisch <a href="/documents/ee_ru.pdf">download</a></td>
        </tr>
        <tr>
          <td class="table_row_h">
            Türkisch <a href="/documents/ee_tr.pdf">download</a>
          </td>
          <td class="table_row_h">
            Deutsch
            (Einwilligungserklärung ohne Hinweise zu Teilnehmernachweisen)
            <a href="/documents/ee_de_ohnetn.pdf">download</a>
          </td>
        </tr>
      </table>
    </div>
    <div class="waska_form_element w100">
      <input type="checkbox" id="statement_signed" name="statement_signed"><label for="statement_signed">${_('cm_new_con_acceptance_statement_true')}</label>
    </div>
    <div class="input_space">
      <input type="hidden" name="page" value="page_1">
      <input type="submit" value="Erklärung drucken" name="print">
      <input type="submit" value="Fallakte anlegen" name="save">
    </div>
  </form>
</div>
